var searchData = {
  "modules": [
    {
      "id": "auth",
      "description": "\u003cp\u003eThis module provides the default authentication provider configurations, which can be extended to create new authentication providers and functions to interact with the \u003ccode\u003eauth:InvocationContext\u003c/code\u003e.\u003c/p\u003e"
    },
    {
      "id": "cache",
      "description": "\u003cp\u003eThis module provides APIs for handle caching in Ballerina.\u003c/p\u003e"
    },
    {
      "id": "config",
      "description": "\u003cp\u003eThis module provides the Config API to read configurations from environment variables, TOML files, and command-line parameters and build a consolidated set of configurations.\u003c/p\u003e"
    },
    {
      "id": "crypto",
      "description": "\u003cp\u003eThis module provides the necessary utilities that are required to hash content using different hashing mechanisms and algorithms.\u003c/p\u003e"
    },
    {
      "id": "email",
      "description": "\u003cp\u003eThis module contains functions to perform email operations such as sending and reading emails using the SMTP, POP3, and IMAP4 protocols.\u003c/p\u003e"
    },
    {
      "id": "file",
      "description": "\u003cp\u003eThis module contains functions to perform file system based operations such as create, delete, rename the\nfile/directory, and retrieve metadata of the file.\u003c/p\u003e"
    },
    {
      "id": "filepath",
      "description": "\u003cp\u003eThis module provides a platform-independent API for working with file paths.\u003c/p\u003e"
    },
    {
      "id": "grpc",
      "description": "\u003cp\u003eThis module provides support for the gRPC messaging protocol.\u003c/p\u003e"
    },
    {
      "id": "http",
      "description": "\u003cp\u003eThis module provides an implementation for connecting and interacting with HTTP, HTTP2, and WebSocket endpoints.\u003c/p\u003e"
    },
    {
      "id": "io",
      "description": "\u003cp\u003eThis module is designed to support input and output operations via channels in a canonical way, either in a blocking,\nor non-blocking manner.\u003c/p\u003e"
    },
    {
      "id": "java",
      "description": "\u003cp\u003eThis module provides the API for Java interoperability in Ballerina.\u003c/p\u003e"
    },
    {
      "id": "java.arrays",
      "description": "\u003cp\u003eThis module provides APIs to create new Java array instances, get elements from arrays, set elements, etc.\u003c/p\u003e"
    },
    {
      "id": "java.jdbc",
      "description": "\u003cp\u003eThis module provides the functionality required to access and manipulate data stored in any type of relational database\nthat is accessible via Java Database Connectivity (JDBC).\u003c/p\u003e"
    },
    {
      "id": "jsonutils",
      "description": "\u003cp\u003eThis module provides utility functions to manipulate the built-in \u003ccode\u003ejson\u003c/code\u003e data type.\u003c/p\u003e"
    },
    {
      "id": "kafka",
      "description": "\u003cp\u003eThis module is used to interact with Kafka Brokers via Kafka Consumer and Kafka Producer clients.\u003c/p\u003e"
    },
    {
      "id": "lang.array",
      "description": "\u003cp\u003eThis module provides lang library list operations defined by the language specification 2020R1.\u003c/p\u003e"
    },
    {
      "id": "lang.boolean",
      "description": "\u003cp\u003eThis module provides lang library operations on \u003ccode\u003eboolean\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e"
    },
    {
      "id": "lang.decimal",
      "description": "\u003cp\u003eThis module provides lang library operations on \u003ccode\u003edecimal\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e"
    },
    {
      "id": "lang.error",
      "description": "\u003cp\u003eThis module provides lang library operations on \u003ccode\u003eerror\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e"
    },
    {
      "id": "lang.float",
      "description": "\u003cp\u003eThis module provides lang library operations on \u003ccode\u003efloat\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e"
    },
    {
      "id": "lang.future",
      "description": "\u003cp\u003eThis module provides lang library operations on \u003ccode\u003efuture\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e"
    },
    {
      "id": "lang.int",
      "description": "\u003cp\u003eThis module provides lang library operations on \u003ccode\u003eint\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e"
    },
    {
      "id": "lang.map",
      "description": "\u003cp\u003eThis module provides lang library map operations defined by the language specification 2020R1.\u003c/p\u003e"
    },
    {
      "id": "lang.object",
      "description": "\u003cp\u003eThis module defines the shape expected from all listeners as defined by the language specification 2020R1.\u003c/p\u003e"
    },
    {
      "id": "lang.stream",
      "description": "\u003cp\u003eThis module provides lang library operations on \u003ccode\u003estream\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e"
    },
    {
      "id": "lang.string",
      "description": "\u003cp\u003eThis module provides lang library string operations defined by the language specification 2020R1.\u003c/p\u003e"
    },
    {
      "id": "lang.table",
      "description": "\u003cp\u003eThis module provides lang library operations on \u003ccode\u003etable\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e"
    },
    {
      "id": "lang.transaction",
      "description": "\u003cp\u003eThis module provides lang library operations on \u003ccode\u003etransaction\u003c/code\u003es.\u003c/p\u003e"
    },
    {
      "id": "lang.value",
      "description": "\u003cp\u003eThis module provides lang library operations common to all values defined by the language specification 2020R1.\u003c/p\u003e"
    },
    {
      "id": "lang.xml",
      "description": "\u003cp\u003eThis module provides lang library operations on \u003ccode\u003exml\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e"
    },
    {
      "id": "ldap",
      "description": "\u003cp\u003eThis module provides an inbound LDAP authentication provider, which is used to authenticate using LDAP credentials.\u003c/p\u003e"
    },
    {
      "id": "log",
      "description": "\u003cp\u003eThis module provides a basic API for logging.\u003c/p\u003e"
    },
    {
      "id": "math",
      "description": "\u003cp\u003eThis module provides functions to perform fixed-precision integer arithmetic and fixed-precision decimal arithmetic.\u003c/p\u003e"
    },
    {
      "id": "mime",
      "description": "\u003cp\u003eThis module provides functions to encapsulate multiple body parts such as attachments into a single message.\u003c/p\u003e"
    },
    {
      "id": "mysql",
      "description": "\u003cp\u003eThis module provides the functionality required to access and manipulate data stored in a MySQL database.\u003c/p\u003e"
    },
    {
      "id": "oauth2",
      "description": "\u003cp\u003eThis module provides an inbound OAuth2 authentication provider, which can be used to authenticate the provided credentials against an introspection endpoint and an outbound OAuth2 authentication provider, which can be used to authenticate an external endpoint.\u003c/p\u003e"
    },
    {
      "id": "observe",
      "description": "\u003cp\u003eThis module provides apis for observing Ballerina services.\u003c/p\u003e"
    },
    {
      "id": "openapi",
      "description": "\u003cp\u003eThis module provides the following code generation capabilities.\u003c/p\u003e"
    },
    {
      "id": "reflect",
      "description": "\u003cp\u003eThis module provides utility methods for obtaining reflective information about the Ballerina runtime.\u003c/p\u003e"
    },
    {
      "id": "runtime",
      "description": "\u003cp\u003eThis module provides functions to interact with the Ballerina runtime and the runtime invocation context.\u003c/p\u003e"
    },
    {
      "id": "sql",
      "description": "\u003cp\u003eThis module provides the common interface and functionality to interact with a database.\u003c/p\u003e"
    },
    {
      "id": "stringutils",
      "description": "\u003cp\u003eThis module provides utility functions to manipulate the built-in \u003ccode\u003estring\u003c/code\u003e data type.\u003c/p\u003e"
    },
    {
      "id": "system",
      "description": "\u003cp\u003eThis module provides functions to retrieve information about the system and the current users of the system.\u003c/p\u003e"
    },
    {
      "id": "task",
      "description": "\u003cp\u003eThis module provides the functionality to configure and manage Task Listeners and Task Schedulers.\u003c/p\u003e"
    },
    {
      "id": "test",
      "description": "\u003cp\u003eThis module facilitates developers to write automation tests for ballerina code in a simple manner.\u003c/p\u003e"
    },
    {
      "id": "time",
      "description": "\u003cp\u003eThis module provides implementations related to time, date, time zones, and durations.\u003c/p\u003e"
    },
    {
      "id": "transactions",
      "description": "\u003cp\u003eThis module provides Ballerina transaction manager implementation.\u003c/p\u003e"
    },
    {
      "id": "xmlutils",
      "description": "\u003cp\u003eThis module provides utility functions to manipulate the built-in \u003ccode\u003exml\u003c/code\u003e data type.\u003c/p\u003e"
    }
  ],
  "objects": [
    {
      "id": "InboundAuthProvider",
      "description": "\u003cp\u003eRepresents the inbound Auth provider, which could be used to authenticate endpoints.\u003c/p\u003e",
      "moduleId": "auth"
    },
    {
      "id": "InboundBasicAuthProvider",
      "description": "\u003cp\u003eRepresents the configuration file based inbound Basic Auth provider, which is an implementation of the\n\u003ccode\u003eauth:InboundAuthProvider\u003c/code\u003e interface.\u003c/p\u003e",
      "moduleId": "auth"
    },
    {
      "id": "OutboundAuthProvider",
      "description": "\u003cp\u003eRepresents the outbound Auth provider, which could be used to authenticate external endpoints.\u003c/p\u003e",
      "moduleId": "auth"
    },
    {
      "id": "OutboundBasicAuthProvider",
      "description": "\u003cp\u003eRepresents the outbound Basic Auth authenticator, which is an implementation of the \u003ccode\u003eauth:OutboundAuthProvider\u003c/code\u003e interface.\u003c/p\u003e",
      "moduleId": "auth"
    },
    {
      "id": "AbstractCache",
      "description": "\u003cp\u003eThe \u003ccode\u003ecache:AbstractCache\u003c/code\u003e object is used for custom implementations of the Ballerina cache.\u003c/p\u003e",
      "moduleId": "cache"
    },
    {
      "id": "AbstractEvictionPolicy",
      "description": "\u003cp\u003eThe \u003ccode\u003ecache:AbstractEvictionPolicy\u003c/code\u003e Ballerina  object is used for custom implementations of the eviction policy for a\nBallerina cache object.\u003c/p\u003e",
      "moduleId": "cache"
    },
    {
      "id": "Cache",
      "description": "\u003cp\u003eThe \u003ccode\u003ecache:Cache\u003c/code\u003e object, which is used for all the cache-related operations.\u003c/p\u003e",
      "moduleId": "cache"
    },
    {
      "id": "LruEvictionPolicy",
      "description": "\u003cp\u003eThe \u003ccode\u003ecache:LruEvictionPolicy\u003c/code\u003e object consists of the LRU eviction algorithm related operations based on a linked\nlist data structure.\u003c/p\u003e",
      "moduleId": "cache"
    },
    {
      "id": "FileInfo",
      "description": "\u003cp\u003eFileInfo record contains metadata information of a file.\u003c/p\u003e",
      "moduleId": "file"
    },
    {
      "id": "AbstractClientEndpoint",
      "description": "\u003cp\u003eRepresents the abstract gRPC client endpoint.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "Headers",
      "description": "\u003cp\u003eProvides the actions to read/write header values in a gRPC request/response message.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "AuthnFilter",
      "description": "\u003cp\u003eRepresentation of the Authentication filter.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "AuthzFilter",
      "description": "\u003cp\u003eRepresentation of the Authorization filter.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "AuthzHandler",
      "description": "\u003cp\u003eRepresentation of Authorization Handler for HTTP.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "BasicAuthHandler",
      "description": "\u003cp\u003eDefines the Basic Auth header handler for inbound and outbound HTTP traffic.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "BearerAuthHandler",
      "description": "\u003cp\u003eRepresentation of the Bearer Auth header handler for both inbound and outbound HTTP traffic.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "Cookie",
      "description": "\u003cp\u003eRepresents a Cookie.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "CookieStore",
      "description": "\u003cp\u003eRepresents the cookie store.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "CsvPersistentCookieHandler",
      "description": "\u003cp\u003eRepresents a default persistent cookie handler, which stores persistent cookies in a CSV file.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "FilterContext",
      "description": "\u003cp\u003eRepresentation of request filter Context.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "HttpCache",
      "description": "\u003cp\u003eImplements a cache for storing HTTP responses.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "HttpFuture",
      "description": "\u003cp\u003eRepresents a \u0027future\u0027 that returns as a result of an asynchronous HTTP request submission.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "InboundAuthHandler",
      "description": "\u003cp\u003eThe representation of an inbound authentication handler for HTTP traffic.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "LoadBalancerRoundRobinRule",
      "description": "\u003cp\u003eImplementation of round robin load balancing strategy.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "LoadBalancerRule",
      "description": "\u003cp\u003eLoadBalancerRule provides a required interfaces to implement different algorithms.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "OutboundAuthHandler",
      "description": "\u003cp\u003eThe representation of an outbound authentication handler for HTTP traffic.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "PersistentCookieHandler",
      "description": "\u003cp\u003eThe representation of a persistent cookie handler for managing persistent cookies.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "PushPromise",
      "description": "\u003cp\u003eRepresents an HTTP/2 \u003ccode\u003ePUSH_PROMISE\u003c/code\u003e frame.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "Request",
      "description": "\u003cp\u003eRepresents an HTTP request.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "RequestCacheControl",
      "description": "\u003cp\u003eConfigures the cache control directives for an \u003ccode\u003ehttp:Request\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "RequestFilter",
      "description": "\u003cp\u003eAbstract Representation of a HTTP Request Filter.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "Response",
      "description": "\u003cp\u003eRepresents an HTTP response.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "ResponseCacheControl",
      "description": "\u003cp\u003eConfigures cache control directives for an \u003ccode\u003ehttp:Response\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "ResponseFilter",
      "description": "\u003cp\u003eAbstract Representation of a HTTP Response Filter.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "ReadableByteChannel",
      "description": "\u003cp\u003eReadableByteChannel represents an input resource (i.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "ReadableCSVChannel",
      "description": "\u003cp\u003eRepresents a ReadableCSVChannel which could be used to read records from CSV file.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "ReadableCharacterChannel",
      "description": "\u003cp\u003eRepresents a channel, which could be used to read characters through a given ReadableByteChannel.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "ReadableDataChannel",
      "description": "\u003cp\u003eRepresents a data channel for reading data.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "ReadableTextRecordChannel",
      "description": "\u003cp\u003eRepresents a channel which will allow to read\u003c/p\u003e\n",
      "moduleId": "io"
    },
    {
      "id": "StringReader",
      "description": "\u003cp\u003eRepresents a reader which will wrap string content as a channel.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "WritableByteChannel",
      "description": "\u003cp\u003eWritableByteChannel represents an output resource (i.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "WritableCSVChannel",
      "description": "\u003cp\u003eRepresents a WritableCSVChannel, which could be used to write records from the CSV file.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "WritableCharacterChannel",
      "description": "\u003cp\u003eRepresents a channel which could be used to write characters through a given WritableCharacterChannel.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "WritableDataChannel",
      "description": "\u003cp\u003eRepresents a WritableDataChannel for writing data.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "WritableTextRecordChannel",
      "description": "\u003cp\u003eRepresents a channel, which will allow to write records through a given WritableCharacterChannel.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "JObject",
      "description": "\u003cp\u003eThe Ballerina abstract object which is to be extended by Ballerina\nobjects representing Ballerina bindings for Java classes.\u003c/p\u003e",
      "moduleId": "java"
    },
    {
      "id": "Deserializer",
      "description": "\u003cp\u003eRepresents a Kafka deserializer object.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "Serializer",
      "description": "\u003cp\u003eRepresents a Kafka serializer object.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "T1",
      "description": "",
      "moduleId": "lang.array"
    },
    {
      "id": "CallStack",
      "description": "\u003cp\u003eRepresent error call stack.\u003c/p\u003e",
      "moduleId": "lang.error"
    },
    {
      "id": "T2",
      "description": "",
      "moduleId": "lang.map"
    },
    {
      "id": "Listener",
      "description": "\u003cp\u003eRepresents the shape expected from all listeners.\u003c/p\u003e",
      "moduleId": "lang.object"
    },
    {
      "id": "RawTemplate",
      "description": "\u003cp\u003eRepresents the shape expected from all raw templates.\u003c/p\u003e",
      "moduleId": "lang.object"
    },
    {
      "id": "T8",
      "description": "",
      "moduleId": "lang.stream"
    },
    {
      "id": "T2",
      "description": "",
      "moduleId": "lang.string"
    },
    {
      "id": "T2",
      "description": "",
      "moduleId": "lang.table"
    },
    {
      "id": "DefaultRetryManager",
      "description": "",
      "moduleId": "lang.transaction"
    },
    {
      "id": "LocalParticipant",
      "description": "",
      "moduleId": "lang.transaction"
    },
    {
      "id": "Participant",
      "description": "",
      "moduleId": "lang.transaction"
    },
    {
      "id": "RetryManager",
      "description": "",
      "moduleId": "lang.transaction"
    },
    {
      "id": "T7",
      "description": "",
      "moduleId": "lang.xml"
    },
    {
      "id": "InboundLdapAuthProvider",
      "description": "\u003cp\u003eRepresents the inbound LDAP auth provider.\u003c/p\u003e",
      "moduleId": "ldap"
    },
    {
      "id": "ContentDisposition",
      "description": "\u003cp\u003eRepresents values in \u003ccode\u003eContent-Disposition\u003c/code\u003e header.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "Entity",
      "description": "\u003cp\u003eRepresents the headers and body of a message.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "MediaType",
      "description": "\u003cp\u003eDescribes the nature of the data in the body of a MIME entity.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "InboundOAuth2Provider",
      "description": "\u003cp\u003eRepresents the inbound OAuth2 provider, which calls the introspection server, validates the received credentials,\nand performs authentication and authorization.\u003c/p\u003e",
      "moduleId": "oauth2"
    },
    {
      "id": "OutboundOAuth2Provider",
      "description": "\u003cp\u003eRepresents the outbound OAuth2 provider, which generates OAtuh2 tokens.\u003c/p\u003e",
      "moduleId": "oauth2"
    },
    {
      "id": "Counter",
      "description": "\u003cp\u003eThis represents the metric type - counter, that can be only increased by an integer number.\u003c/p\u003e",
      "moduleId": "observe"
    },
    {
      "id": "Gauge",
      "description": "\u003cp\u003eThis represents the metric type - gauge, that can hold instantaneous, increased or decreased value\nduring the usage.\u003c/p\u003e",
      "moduleId": "observe"
    },
    {
      "id": "ArrayValue",
      "description": "\u003cp\u003eRepresents ArrayValue SQL field.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "BigIntValue",
      "description": "\u003cp\u003eRepresents BigInt SQL field.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "BinaryValue",
      "description": "\u003cp\u003eRepresents Binary SQL field.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "BitValue",
      "description": "\u003cp\u003eRepresents Bit SQL field.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "BlobValue",
      "description": "\u003cp\u003eRepresents Blob SQL field.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "BooleanValue",
      "description": "\u003cp\u003eRepresents Boolean SQL field.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "CharValue",
      "description": "\u003cp\u003eRepresents Char SQL field.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "ClobValue",
      "description": "\u003cp\u003eRepresents Clob SQL field.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "DateTimeValue",
      "description": "\u003cp\u003eRepresents DateTime SQL field.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "DateValue",
      "description": "\u003cp\u003eRepresents Date SQL field.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "DecimalValue",
      "description": "\u003cp\u003eRepresents Decimal SQL field.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "DoubleValue",
      "description": "\u003cp\u003eRepresents Double SQL field.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "FloatValue",
      "description": "\u003cp\u003eRepresents Float SQL field.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "InOutParameter",
      "description": "\u003cp\u003eRepresents SQL InOutParameter used in procedure calls.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "IntegerValue",
      "description": "\u003cp\u003eRepresents Integer SQL field.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "NCharValue",
      "description": "\u003cp\u003eRepresents NChar SQL field.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "NClobValue",
      "description": "\u003cp\u003eRepresents NClob SQL field.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "NVarcharValue",
      "description": "\u003cp\u003eRepresents NVarchar SQL field.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "NumericValue",
      "description": "\u003cp\u003eRepresents Numeric SQL field.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "OutParameter",
      "description": "\u003cp\u003eRepresents SQL OutParameter used in procedure calls.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "ParameterizedCallQuery",
      "description": "\u003cp\u003eRepresents Parameterized Call SQL Statement.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "ParameterizedQuery",
      "description": "\u003cp\u003eRepresents Parameterized SQL query.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "ProcedureCallResult",
      "description": "\u003cp\u003eObject that is used to return stored procedure call results.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "RealValue",
      "description": "\u003cp\u003eRepresents Real SQL field.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "RefValue",
      "description": "\u003cp\u003eRepresents Ref SQL field.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "RowValue",
      "description": "\u003cp\u003eRepresents Row SQL field.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "SmallIntValue",
      "description": "\u003cp\u003eRepresents SmallInt SQL field.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "StructValue",
      "description": "\u003cp\u003eRepresents Struct SQL field.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "TextValue",
      "description": "\u003cp\u003eRepresents Text SQL field.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "TimeValue",
      "description": "\u003cp\u003eRepresents Time SQL field.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "TimestampValue",
      "description": "\u003cp\u003eRepresents Timestamp SQL field.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "TypedValue",
      "description": "\u003cp\u003eRepresents a parameter for the SQL Client remote functions when a variable needs to be passed\nto the remote function.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "VarBinaryValue",
      "description": "\u003cp\u003eRepresents VarBinary SQL field.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "VarcharValue",
      "description": "\u003cp\u003eRepresents Varchar SQL field.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "Process",
      "description": "\u003cp\u003eThis object contains information on a process being created from Ballerina.\u003c/p\u003e",
      "moduleId": "system"
    },
    {
      "id": "Scheduler",
      "description": "\u003cp\u003eRepresents a ballerina task Scheduler, which can be used to run jobs periodically, using the given configurations.\u003c/p\u003e",
      "moduleId": "task"
    },
    {
      "id": "FunctionStub",
      "description": "\u003cp\u003eRepresents an object that allows stubbing function invocations\u003c/p\u003e\n",
      "moduleId": "test"
    },
    {
      "id": "MemberFunctionStub",
      "description": "\u003cp\u003eRepresents an object that allows stubbing member function invocations.\u003c/p\u003e",
      "moduleId": "test"
    },
    {
      "id": "MemberVariableStub",
      "description": "\u003cp\u003eRepresents an object that allows stubbing member variables retrieved.\u003c/p\u003e",
      "moduleId": "test"
    },
    {
      "id": "MockFunction",
      "description": "\u003cp\u003eRepresents a MockFunction object\u003c/p\u003e\n",
      "moduleId": "test"
    },
    {
      "id": "MockObject",
      "description": "\u003cp\u003eRepresents a Mock object in which to create stubs for member functions and variables\u003c/p\u003e\n",
      "moduleId": "test"
    }
  ],
  "functions": [
    {
      "id": "checkForScopeMatch",
      "description": "\u003cp\u003eChecks whether the scopes of the user match the scopes of the resource.\u003c/p\u003e",
      "moduleId": "auth"
    },
    {
      "id": "extractUsernameAndPassword",
      "description": "\u003cp\u003eExtracts the username and the password from the base64-encoded \u003ccode\u003eusername:password\u003c/code\u003e value.\u003c/p\u003e",
      "moduleId": "auth"
    },
    {
      "id": "getInvocationContext",
      "description": "\u003cp\u003eReturns the \u003ccode\u003eauth:InvocationContext\u003c/code\u003e instance.\u003c/p\u003e",
      "moduleId": "auth"
    },
    {
      "id": "setInvocationContext",
      "description": "\u003cp\u003eSets the authentication-related values to the invocation context.\u003c/p\u003e",
      "moduleId": "auth"
    },
    {
      "id": "addFirst",
      "description": "\u003cp\u003eAdds a node to the start of the provided linked list.\u003c/p\u003e",
      "moduleId": "cache"
    },
    {
      "id": "addLast",
      "description": "\u003cp\u003eAdds a node to the end of the provided linked list.\u003c/p\u003e",
      "moduleId": "cache"
    },
    {
      "id": "clear",
      "description": "\u003cp\u003eClears the provided linked list.\u003c/p\u003e",
      "moduleId": "cache"
    },
    {
      "id": "remove",
      "description": "\u003cp\u003eRemoves a node from the provided linked list.\u003c/p\u003e",
      "moduleId": "cache"
    },
    {
      "id": "removeLast",
      "description": "\u003cp\u003eRemoves the last node from the provided linked list.\u003c/p\u003e",
      "moduleId": "cache"
    },
    {
      "id": "contains",
      "description": "\u003cp\u003eChecks whether the given key is in the configuration registry.\u003c/p\u003e",
      "moduleId": "config"
    },
    {
      "id": "getAsArray",
      "description": "\u003cp\u003eRetrieves the specified configuration value as an array.\u003c/p\u003e",
      "moduleId": "config"
    },
    {
      "id": "getAsBoolean",
      "description": "\u003cp\u003eRetrieves the specified configuration value as a boolean.\u003c/p\u003e",
      "moduleId": "config"
    },
    {
      "id": "getAsFloat",
      "description": "\u003cp\u003eRetrieves the specified configuration value as a float.\u003c/p\u003e",
      "moduleId": "config"
    },
    {
      "id": "getAsInt",
      "description": "\u003cp\u003eRetrieves the specified configuration value as an int.\u003c/p\u003e",
      "moduleId": "config"
    },
    {
      "id": "getAsMap",
      "description": "\u003cp\u003eRetrieves the specified configuration value as a map.\u003c/p\u003e",
      "moduleId": "config"
    },
    {
      "id": "getAsString",
      "description": "\u003cp\u003eRetrieves the specified configuration value as a string.\u003c/p\u003e",
      "moduleId": "config"
    },
    {
      "id": "setConfig",
      "description": "\u003cp\u003eSets the specified key/value pair as a configuration.\u003c/p\u003e",
      "moduleId": "config"
    },
    {
      "id": "buildRsaPublicKey",
      "description": "\u003cp\u003eReturns the \u003ccode\u003ecrypto:PublicKey\u003c/code\u003e created with the modulus and exponent retrieved from the JWK\u0027s endpoint.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "crc32b",
      "description": "\u003cp\u003eReturns the Hex-encoded CRC32B value for the provided element.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "decodePrivateKey",
      "description": "\u003cp\u003eReads a private key from the provided PKCS#12 archive file.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "decodePublicKey",
      "description": "\u003cp\u003eReads a public key from the provided PKCS#12 archive file.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "decryptAesCbc",
      "description": "\u003cp\u003eReturns the AES-CBC-decrypted value for the given AES-CBC-encrypted data.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "decryptAesEcb",
      "description": "\u003cp\u003eReturns the AES-ECB-decrypted value for the given AES-ECB-encrypted data.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "decryptAesGcm",
      "description": "\u003cp\u003eReturns the AES-GCM-decrypted value for the given AES-GCM-encrypted data.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "decryptRsaEcb",
      "description": "\u003cp\u003eReturns the RSA-decrypted value for the given RSA-encrypted data.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "encryptAesCbc",
      "description": "\u003cp\u003eReturns the AES-CBC-encrypted value for the given data.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "encryptAesEcb",
      "description": "\u003cp\u003eReturns the AES-ECB-encrypted value for the given data.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "encryptAesGcm",
      "description": "\u003cp\u003eReturns the AES-GCM-encrypted value for the given data.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "encryptRsaEcb",
      "description": "\u003cp\u003eReturns the RSA-encrypted value for the given data.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "hashMd5",
      "description": "\u003cp\u003eReturns the MD5 hash of the given data.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "hashSha1",
      "description": "\u003cp\u003eReturns the SHA-1 hash of the given data.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "hashSha256",
      "description": "\u003cp\u003eReturns the SHA-256 hash of the given data.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "hashSha384",
      "description": "\u003cp\u003eReturns the SHA-384 hash of the given data.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "hashSha512",
      "description": "\u003cp\u003eReturns the SHA-512 hash of the given data.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "hmacMd5",
      "description": "\u003cp\u003eReturns the HMAC using the MD-5 hash function of the given data.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "hmacSha1",
      "description": "\u003cp\u003eReturns the HMAC using the SHA-1 hash function of the given data.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "hmacSha256",
      "description": "\u003cp\u003eReturns the HMAC using the SHA-256 hash function of the given data.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "hmacSha384",
      "description": "\u003cp\u003eReturns the HMAC using the SHA-384 hash function of the given data.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "hmacSha512",
      "description": "\u003cp\u003eReturns the HMAC using the SHA-512 hash function of the given data.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "signRsaMd5",
      "description": "\u003cp\u003eReturns the RSA-MD5-based signature value for the given data.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "signRsaSha1",
      "description": "\u003cp\u003eReturns the RSA-SHA1-based signature value for the given data.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "signRsaSha256",
      "description": "\u003cp\u003eReturns the RSA-SHA256-based signature value for the given data.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "signRsaSha384",
      "description": "\u003cp\u003eReturns the RSA-SHA384-based signature value for the given data.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "signRsaSha512",
      "description": "\u003cp\u003eReturns the RSA-SHA512-based signature value for the given data.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "verifyRsaMd5Signature",
      "description": "\u003cp\u003eVerifies the RSA-MD5-based signature.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "verifyRsaSha1Signature",
      "description": "\u003cp\u003eVerifies the RSA-SHA1-based signature.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "verifyRsaSha256Signature",
      "description": "\u003cp\u003eVerifies the RSA-SHA256-based signature.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "verifyRsaSha384Signature",
      "description": "\u003cp\u003eVerifies the RSA-SHA384-based signature.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "verifyRsaSha512Signature",
      "description": "\u003cp\u003eVerifies the RSA-SHA512-based signature.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "copy",
      "description": "\u003cp\u003eCopy the file/directory in the old path to the new path.\u003c/p\u003e",
      "moduleId": "file"
    },
    {
      "id": "createDir",
      "description": "\u003cp\u003eCreates a new directory with the specified file name.\u003c/p\u003e",
      "moduleId": "file"
    },
    {
      "id": "createFile",
      "description": "\u003cp\u003eCreates a file in the specified file path.\u003c/p\u003e",
      "moduleId": "file"
    },
    {
      "id": "exists",
      "description": "\u003cp\u003eReports whether the file or directory exists in the given the path.\u003c/p\u003e",
      "moduleId": "file"
    },
    {
      "id": "getCurrentDirectory",
      "description": "\u003cp\u003eReturns the current working directory.\u003c/p\u003e",
      "moduleId": "file"
    },
    {
      "id": "getFileInfo",
      "description": "\u003cp\u003eReturns the metadata information of the file specified in the file path.\u003c/p\u003e",
      "moduleId": "file"
    },
    {
      "id": "readDir",
      "description": "\u003cp\u003eReads the directory and returns a list of files and directories\ninside the specified directory.\u003c/p\u003e",
      "moduleId": "file"
    },
    {
      "id": "remove",
      "description": "\u003cp\u003eRemoves the specified file or directory.\u003c/p\u003e",
      "moduleId": "file"
    },
    {
      "id": "rename",
      "description": "\u003cp\u003eRenames(Moves) the old path with the new path.\u003c/p\u003e",
      "moduleId": "file"
    },
    {
      "id": "tempDir",
      "description": "\u003cp\u003eReturns the default directory to use for temporary files.\u003c/p\u003e",
      "moduleId": "file"
    },
    {
      "id": "absolute",
      "description": "\u003cp\u003eRetrieves the absolute path from the provided location.\u003c/p\u003e",
      "moduleId": "filepath"
    },
    {
      "id": "build",
      "description": "\u003cp\u003eJoins any number of path elements into a single path.\u003c/p\u003e",
      "moduleId": "filepath"
    },
    {
      "id": "extension",
      "description": "\u003cp\u003eRetrieves the extension of the file path.\u003c/p\u003e",
      "moduleId": "filepath"
    },
    {
      "id": "filename",
      "description": "\u003cp\u003eRetrieves the base name of the file from the provided location,\nwhich is the last element of the path.\u003c/p\u003e",
      "moduleId": "filepath"
    },
    {
      "id": "getPathListSeparator",
      "description": "\u003cp\u003eReturns the path variable\u0027s separating character for paths of the underlying operating system.\u003c/p\u003e",
      "moduleId": "filepath"
    },
    {
      "id": "getPathSeparator",
      "description": "\u003cp\u003eReturns the path separator of the underlying operating system.\u003c/p\u003e",
      "moduleId": "filepath"
    },
    {
      "id": "isAbsolute",
      "description": "\u003cp\u003eReports whether the path is absolute.\u003c/p\u003e",
      "moduleId": "filepath"
    },
    {
      "id": "isReservedName",
      "description": "\u003cp\u003eReports whether the filename is reserved.\u003c/p\u003e",
      "moduleId": "filepath"
    },
    {
      "id": "matches",
      "description": "\u003cp\u003eReports whether the complete filename (not just a substring of it) matches the provided Glob pattern.\u003c/p\u003e",
      "moduleId": "filepath"
    },
    {
      "id": "normalize",
      "description": "\u003cp\u003eReturns the shortest path name equivalent to the given path.\u003c/p\u003e",
      "moduleId": "filepath"
    },
    {
      "id": "parent",
      "description": "\u003cp\u003eReturns the enclosing parent directory.\u003c/p\u003e",
      "moduleId": "filepath"
    },
    {
      "id": "relative",
      "description": "\u003cp\u003eReturns a relative path, which is logically equivalent to the target path when joined to the base path with an\nintervening separator.\u003c/p\u003e",
      "moduleId": "filepath"
    },
    {
      "id": "resolve",
      "description": "\u003cp\u003eReturns the filepath after the evaluation of any symbolic links.\u003c/p\u003e",
      "moduleId": "filepath"
    },
    {
      "id": "split",
      "description": "\u003cp\u003eSplits a list of paths joined by the OS-specific path separator.\u003c/p\u003e",
      "moduleId": "filepath"
    },
    {
      "id": "ballerina/grpc:0.7.0.\u003cinit\u003e0",
      "description": "",
      "moduleId": "grpc"
    },
    {
      "id": "addCookies",
      "description": "\u003cp\u003eAdds cookies to the custom header.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "ballerina/http:1.0.0.\u003cinit\u003e0",
      "description": "",
      "moduleId": "http"
    },
    {
      "id": "ballerina/http:1.0.0.\u003cinit\u003e1",
      "description": "",
      "moduleId": "http"
    },
    {
      "id": "ballerina/http:1.0.0.\u003cinit\u003e2",
      "description": "",
      "moduleId": "http"
    },
    {
      "id": "createHttpCachingClient",
      "description": "\u003cp\u003eCreates an HTTP client capable of caching HTTP responses.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "createHttpSecureClient",
      "description": "\u003cp\u003eCreates an HTTP client capable of securing HTTP requests with authentication.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "extractAuthorizationHeaderValue",
      "description": "\u003cp\u003eExtracts the Authorization header value from the request.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "invokeEndpoint",
      "description": "\u003cp\u003eThe HEAD remote function implementation of the Circuit Breaker.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "isResourceSecured",
      "description": "\u003cp\u003eChecks whether the calling resource is secured by evaluating the authentication hierarchy.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "parseHeader",
      "description": "\u003cp\u003eParses the given header value to extract its value and parameter map.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "createReadableChannel",
      "description": "\u003cp\u003eCreates an in-memory channel, which will be a reference stream of bytes.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "openReadableCsvFile",
      "description": "\u003cp\u003eRetrieves a readable CSV channel from a given file path.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "openReadableFile",
      "description": "\u003cp\u003eRetrieves a \u003ccode\u003eReadableByteChannel\u003c/code\u003e from a given file path.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "openWritableCsvFile",
      "description": "\u003cp\u003eRetrieves a writable CSV channel from a given file path.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "openWritableFile",
      "description": "\u003cp\u003eRetrieves a \u003ccode\u003eWritableByteChannel\u003c/code\u003e from a given file path.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "print",
      "description": "\u003cp\u003ePrints \u003ccode\u003eany\u003c/code\u003e or \u003ccode\u003eerror\u003c/code\u003e value(s) to the STDOUT.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "println",
      "description": "\u003cp\u003ePrints \u003ccode\u003eany\u003c/code\u003e or \u003ccode\u003eerror\u003c/code\u003e value(s) to the STDOUT followed by a new line.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "readln",
      "description": "\u003cp\u003eRetrieves the input read from the STDIN.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "sprintf",
      "description": "\u003cp\u003eReturns a formatted string using the specified format string and arguments.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "cast",
      "description": "\u003cp\u003eReturns an \u003ccode\u003eJObject|error\u003c/code\u003e, which is obtained after casting the provided \u003ccode\u003eJObject\u003c/code\u003e instance\nto the given \u003ccode\u003eJObject\u003c/code\u003e type depending on assignability.\u003c/p\u003e",
      "moduleId": "java"
    },
    {
      "id": "createNull",
      "description": "\u003cp\u003eReturns a \u003ccode\u003ehandle\u003c/code\u003e, which refers to Java null.\u003c/p\u003e",
      "moduleId": "java"
    },
    {
      "id": "fromString",
      "description": "\u003cp\u003eReturns a \u003ccode\u003ehandle\u003c/code\u003e, which refers to the Java string representation of the Ballerina \u003ccode\u003estring\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "java"
    },
    {
      "id": "getClass",
      "description": "\u003cp\u003eReturns a \u003ccode\u003ehandle\u003c/code\u003e, which refers to the Java Class object associated with the class or interface with the given\nstring name.\u003c/p\u003e",
      "moduleId": "java"
    },
    {
      "id": "isNull",
      "description": "\u003cp\u003eReturns \u003ccode\u003etrue\u003c/code\u003e if this handle refers to Java null.\u003c/p\u003e",
      "moduleId": "java"
    },
    {
      "id": "jObjToString",
      "description": "\u003cp\u003eReturns the string representation of a Java object stored in a handle reference.\u003c/p\u003e",
      "moduleId": "java"
    },
    {
      "id": "toString",
      "description": "\u003cp\u003eReturns a Ballerina \u003ccode\u003estring\u003c/code\u003e representation of the Java object referred by the \u003ccode\u003ehandle\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "java"
    },
    {
      "id": "fromHandle",
      "description": "\u003cp\u003eReturns a Ballerina array for a handle that holds a Java array.\u003c/p\u003e",
      "moduleId": "java.arrays"
    },
    {
      "id": "get",
      "description": "\u003cp\u003eReturns a \u003ccode\u003ehandle\u003c/code\u003e, which refers to the element at the specified index in the given Java array.\u003c/p\u003e",
      "moduleId": "java.arrays"
    },
    {
      "id": "getLength",
      "description": "\u003cp\u003eReturns the length of the given Java array.\u003c/p\u003e",
      "moduleId": "java.arrays"
    },
    {
      "id": "newInstance",
      "description": "\u003cp\u003eReturns a new Java array instance with the specified element type and dimensions.\u003c/p\u003e",
      "moduleId": "java.arrays"
    },
    {
      "id": "set",
      "description": "\u003cp\u003eReplaces the indexed element at the specified index in the given Java array with the specified element.\u003c/p\u003e",
      "moduleId": "java.arrays"
    },
    {
      "id": "toHandle",
      "description": "\u003cp\u003eReturns a handle value representation for a Ballerina array.\u003c/p\u003e",
      "moduleId": "java.arrays"
    },
    {
      "id": "fromTable",
      "description": "\u003cp\u003eConverts a table to its JSON representation.\u003c/p\u003e",
      "moduleId": "jsonutils"
    },
    {
      "id": "fromXML",
      "description": "\u003cp\u003eConverts an XML object to its JSON representation.\u003c/p\u003e",
      "moduleId": "jsonutils"
    },
    {
      "id": "enumerate",
      "description": "\u003cp\u003eReturns a new array consisting of index and member pairs.\u003c/p\u003e",
      "moduleId": "lang.array"
    },
    {
      "id": "filter",
      "description": "\u003cp\u003eSelects the members from an array for which a function returns true.\u003c/p\u003e",
      "moduleId": "lang.array"
    },
    {
      "id": "forEach",
      "description": "\u003cp\u003eApplies a function to each member of an array.\u003c/p\u003e",
      "moduleId": "lang.array"
    },
    {
      "id": "fromBase16",
      "description": "\u003cp\u003eReturns the byte array that a string represents in Base16.\u003c/p\u003e",
      "moduleId": "lang.array"
    },
    {
      "id": "fromBase64",
      "description": "\u003cp\u003eReturns the byte array that a string represents in Base64.\u003c/p\u003e",
      "moduleId": "lang.array"
    },
    {
      "id": "indexOf",
      "description": "\u003cp\u003eReturns the index of first member of \u003ccode\u003earr\u003c/code\u003e that is equal to \u003ccode\u003eval\u003c/code\u003e if there is one.\u003c/p\u003e",
      "moduleId": "lang.array"
    },
    {
      "id": "iterator",
      "description": "\u003cp\u003eReturns an iterator over an array.\u003c/p\u003e",
      "moduleId": "lang.array"
    },
    {
      "id": "lastIndexOf",
      "description": "\u003cp\u003eReturns the index of last member of \u003ccode\u003earr\u003c/code\u003e that is equal to \u003ccode\u003eval\u003c/code\u003e if there is one.\u003c/p\u003e",
      "moduleId": "lang.array"
    },
    {
      "id": "length",
      "description": "\u003cp\u003eReturns the number of members of an array.\u003c/p\u003e",
      "moduleId": "lang.array"
    },
    {
      "id": "map",
      "description": "\u003cp\u003eApplies a function to each member of an array and returns an array of the results.\u003c/p\u003e",
      "moduleId": "lang.array"
    },
    {
      "id": "pop",
      "description": "\u003cp\u003eRemoves and returns the last member of an array.\u003c/p\u003e",
      "moduleId": "lang.array"
    },
    {
      "id": "push",
      "description": "\u003cp\u003eAdds values to the end of an array.\u003c/p\u003e",
      "moduleId": "lang.array"
    },
    {
      "id": "reduce",
      "description": "\u003cp\u003eCombines the members of an array using a combining function.\u003c/p\u003e",
      "moduleId": "lang.array"
    },
    {
      "id": "remove",
      "description": "\u003cp\u003eRemoves a member of an array.\u003c/p\u003e",
      "moduleId": "lang.array"
    },
    {
      "id": "removeAll",
      "description": "\u003cp\u003eRemoves all members of an array.\u003c/p\u003e",
      "moduleId": "lang.array"
    },
    {
      "id": "reverse",
      "description": "\u003cp\u003eReverses the order of the members of an array.\u003c/p\u003e",
      "moduleId": "lang.array"
    },
    {
      "id": "setLength",
      "description": "\u003cp\u003eChanges the length of an array.\u003c/p\u003e",
      "moduleId": "lang.array"
    },
    {
      "id": "shift",
      "description": "\u003cp\u003eRemoves and returns first member of an array.\u003c/p\u003e",
      "moduleId": "lang.array"
    },
    {
      "id": "slice",
      "description": "\u003cp\u003eReturns a subarray starting from \u003ccode\u003estartIndex\u003c/code\u003e (inclusive) to \u003ccode\u003eendIndex\u003c/code\u003e (exclusive).\u003c/p\u003e",
      "moduleId": "lang.array"
    },
    {
      "id": "sort",
      "description": "\u003cp\u003eSorts an array using a comparator function.\u003c/p\u003e",
      "moduleId": "lang.array"
    },
    {
      "id": "toBase16",
      "description": "\u003cp\u003eReturns the string that is the Base16 representation of an array of bytes.\u003c/p\u003e",
      "moduleId": "lang.array"
    },
    {
      "id": "toBase64",
      "description": "\u003cp\u003eReturns the string that is the Base64 representation of an array of bytes.\u003c/p\u003e",
      "moduleId": "lang.array"
    },
    {
      "id": "toStream",
      "description": "\u003cp\u003eReturns a stream from the given array.\u003c/p\u003e",
      "moduleId": "lang.array"
    },
    {
      "id": "unshift",
      "description": "\u003cp\u003eAdds values to the start of an array.\u003c/p\u003e",
      "moduleId": "lang.array"
    },
    {
      "id": "fromString",
      "description": "\u003cp\u003eConverts a string to a boolean.\u003c/p\u003e",
      "moduleId": "lang.boolean"
    },
    {
      "id": "abs",
      "description": "\u003cp\u003eIEEE abs operation.\u003c/p\u003e",
      "moduleId": "lang.decimal"
    },
    {
      "id": "ceiling",
      "description": "\u003cp\u003eRounds a decimal up to the closest integral value.\u003c/p\u003e",
      "moduleId": "lang.decimal"
    },
    {
      "id": "floor",
      "description": "\u003cp\u003eRounds a decimal down to the closest integral value.\u003c/p\u003e",
      "moduleId": "lang.decimal"
    },
    {
      "id": "fromString",
      "description": "\u003cp\u003eReturn the decimal value represented by \u003ccode\u003es\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.decimal"
    },
    {
      "id": "max",
      "description": "\u003cp\u003eMaximum of one or more decimal values.\u003c/p\u003e",
      "moduleId": "lang.decimal"
    },
    {
      "id": "min",
      "description": "\u003cp\u003eMinimum of one or more decimal values\u003c/p\u003e\n",
      "moduleId": "lang.decimal"
    },
    {
      "id": "round",
      "description": "\u003cp\u003eRound a decimal to the closest integral value.\u003c/p\u003e",
      "moduleId": "lang.decimal"
    },
    {
      "id": "sum",
      "description": "\u003cp\u003eSum of zero or more decimal values.\u003c/p\u003e",
      "moduleId": "lang.decimal"
    },
    {
      "id": "cause",
      "description": "\u003cp\u003eReturns the error\u0027s cause.\u003c/p\u003e",
      "moduleId": "lang.error"
    },
    {
      "id": "detail",
      "description": "\u003cp\u003eReturns the error\u0027s detail record.\u003c/p\u003e",
      "moduleId": "lang.error"
    },
    {
      "id": "message",
      "description": "\u003cp\u003eReturns the error\u0027s message.\u003c/p\u003e",
      "moduleId": "lang.error"
    },
    {
      "id": "stackTrace",
      "description": "\u003cp\u003eReturns an object representing the stack trace of the error.\u003c/p\u003e",
      "moduleId": "lang.error"
    },
    {
      "id": "abs",
      "description": "\u003cp\u003eIEEE abs operation.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "acos",
      "description": "\u003cp\u003eReturns the arccosine of a float value.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "asin",
      "description": "\u003cp\u003eReturns the arcsine of a float value.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "atan",
      "description": "\u003cp\u003eReturns the arctangent of a float value.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "atan2",
      "description": "\u003cp\u003ePerforms the 2-argument arctangent operation.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "cbrt",
      "description": "\u003cp\u003eReturns the cube root of a float value.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "ceiling",
      "description": "\u003cp\u003eRounds a float up to the closest integral value.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "cos",
      "description": "\u003cp\u003eReturns the cosine of a float value.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "cosh",
      "description": "\u003cp\u003eReturns the hyperbolic cosine of a float value.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "exp",
      "description": "\u003cp\u003eRaises Euler\u0027s number to a power.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "floor",
      "description": "\u003cp\u003eRounds a float down to the closest integral value.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "fromBitsInt",
      "description": "\u003cp\u003eReturns the float that is represented in IEEE 64-bit floating point by \u003ccode\u003ex\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "fromHexString",
      "description": "\u003cp\u003eReturn the float value represented by \u003ccode\u003es\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "fromString",
      "description": "\u003cp\u003eReturn the float value represented by \u003ccode\u003es\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "isFinite",
      "description": "\u003cp\u003eTests whether a float is finite.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "isInfinite",
      "description": "\u003cp\u003eTests whether a float is infinite.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "isNaN",
      "description": "\u003cp\u003eTests whether a float is NaN.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "log",
      "description": "\u003cp\u003eReturns the natural logarithm of a float value\nCorresponds to IEEE log operation.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "log10",
      "description": "\u003cp\u003eReturns the base 10 logarithm of a float value.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "max",
      "description": "\u003cp\u003eMaximum of zero or more float values.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "min",
      "description": "\u003cp\u003eMinimum of zero or more float values.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "pow",
      "description": "\u003cp\u003eRaises one float value to the power of another float values.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "round",
      "description": "\u003cp\u003eRound a float value to the closest integral value.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "sin",
      "description": "\u003cp\u003eReturns the sine of a float value.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "sinh",
      "description": "\u003cp\u003eReturns the hyperbolic sine of a float value.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "sqrt",
      "description": "\u003cp\u003eReturns the square root of a float value.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "sum",
      "description": "\u003cp\u003eSum of zero or more float values.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "tan",
      "description": "\u003cp\u003eReturns the tangent of a float value.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "tanh",
      "description": "\u003cp\u003eReturns the hyperbolic tangent of a float value.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "toBitsInt",
      "description": "\u003cp\u003eReturns IEEE 64-bit binary floating point format representation of \u003ccode\u003ex\u003c/code\u003e as an int.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "toHexString",
      "description": "\u003cp\u003eReturns a string that represents \u003ccode\u003ex\u003c/code\u003e as a hexadecimal floating point number.\u003c/p\u003e",
      "moduleId": "lang.float"
    },
    {
      "id": "cancel",
      "description": "\u003cp\u003eRequests cancellation of a future.\u003c/p\u003e",
      "moduleId": "lang.future"
    },
    {
      "id": "abs",
      "description": "\u003cp\u003eReturns absolute value of an int.\u003c/p\u003e",
      "moduleId": "lang.int"
    },
    {
      "id": "fromHexString",
      "description": "\u003cp\u003eReturns the integer that \u003ccode\u003es\u003c/code\u003e represents in hexadecimal.\u003c/p\u003e",
      "moduleId": "lang.int"
    },
    {
      "id": "fromString",
      "description": "\u003cp\u003eReturns the integer that \u003ccode\u003es\u003c/code\u003e represents in decimal.\u003c/p\u003e",
      "moduleId": "lang.int"
    },
    {
      "id": "max",
      "description": "\u003cp\u003eMaximum of one or more int values.\u003c/p\u003e",
      "moduleId": "lang.int"
    },
    {
      "id": "min",
      "description": "\u003cp\u003eMinimum of one or more int values\u003c/p\u003e\n",
      "moduleId": "lang.int"
    },
    {
      "id": "sum",
      "description": "\u003cp\u003eReturns sum of zero or more int values.\u003c/p\u003e",
      "moduleId": "lang.int"
    },
    {
      "id": "toHexString",
      "description": "\u003cp\u003eReturns representation of \u003ccode\u003en\u003c/code\u003e as hexdecimal string.\u003c/p\u003e",
      "moduleId": "lang.int"
    },
    {
      "id": "entries",
      "description": "\u003cp\u003eReturns a map containing [key, member] pair as the value for each key.\u003c/p\u003e",
      "moduleId": "lang.map"
    },
    {
      "id": "filter",
      "description": "\u003cp\u003eSelects the members from a map for which a function returns true.\u003c/p\u003e",
      "moduleId": "lang.map"
    },
    {
      "id": "forEach",
      "description": "\u003cp\u003eApplies a function to each member of a map.\u003c/p\u003e",
      "moduleId": "lang.map"
    },
    {
      "id": "get",
      "description": "\u003cp\u003eReturns the member of map \u003ccode\u003em\u003c/code\u003e with key \u003ccode\u003ek\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.map"
    },
    {
      "id": "hasKey",
      "description": "\u003cp\u003eTests whether m has a member with key \u003ccode\u003ek\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.map"
    },
    {
      "id": "iterator",
      "description": "\u003cp\u003eReturns an iterator over a map.\u003c/p\u003e",
      "moduleId": "lang.map"
    },
    {
      "id": "keys",
      "description": "\u003cp\u003eReturns a list of all the keys of map \u003ccode\u003em\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.map"
    },
    {
      "id": "length",
      "description": "\u003cp\u003eReturns number of members of a map.\u003c/p\u003e",
      "moduleId": "lang.map"
    },
    {
      "id": "map",
      "description": "\u003cp\u003eApplies a function each member of a map and returns a map of the result.\u003c/p\u003e",
      "moduleId": "lang.map"
    },
    {
      "id": "reduce",
      "description": "\u003cp\u003eCombines the members of a map using a combining function.\u003c/p\u003e",
      "moduleId": "lang.map"
    },
    {
      "id": "remove",
      "description": "\u003cp\u003eRemoves a member of a map.\u003c/p\u003e",
      "moduleId": "lang.map"
    },
    {
      "id": "removeAll",
      "description": "\u003cp\u003eRemoves all members of a map.\u003c/p\u003e",
      "moduleId": "lang.map"
    },
    {
      "id": "removeIfHasKey",
      "description": "\u003cp\u003eRemoves a member of a map with a given key, if the map has member with the key.\u003c/p\u003e",
      "moduleId": "lang.map"
    },
    {
      "id": "toArray",
      "description": "\u003cp\u003eReturns a list of all the members of a map.\u003c/p\u003e",
      "moduleId": "lang.map"
    },
    {
      "id": "close",
      "description": "\u003cp\u003eCloses a stream.\u003c/p\u003e",
      "moduleId": "lang.stream"
    },
    {
      "id": "filter",
      "description": "\u003cp\u003eSelects the members from a stream for which a function returns true.\u003c/p\u003e",
      "moduleId": "lang.stream"
    },
    {
      "id": "forEach",
      "description": "\u003cp\u003eApplies a function to each member of a stream.\u003c/p\u003e",
      "moduleId": "lang.stream"
    },
    {
      "id": "iterator",
      "description": "\u003cp\u003eReturns an iterator over a stream.\u003c/p\u003e",
      "moduleId": "lang.stream"
    },
    {
      "id": "map",
      "description": "\u003cp\u003eApplies a function to each member of a stream and returns a stream of the results.\u003c/p\u003e",
      "moduleId": "lang.stream"
    },
    {
      "id": "next",
      "description": "\u003cp\u003eReturns the next element in the stream wrapped in a record or () if the stream ends.\u003c/p\u003e",
      "moduleId": "lang.stream"
    },
    {
      "id": "reduce",
      "description": "\u003cp\u003eCombines the members of a stream using a combining function.\u003c/p\u003e",
      "moduleId": "lang.stream"
    },
    {
      "id": "codePointCompare",
      "description": "\u003cp\u003eLexicographically compares strings using their Unicode code points.\u003c/p\u003e",
      "moduleId": "lang.string"
    },
    {
      "id": "concat",
      "description": "\u003cp\u003eConcatenates zero or more strings.\u003c/p\u003e",
      "moduleId": "lang.string"
    },
    {
      "id": "endsWith",
      "description": "\u003cp\u003eTests whether a string ends with another string.\u003c/p\u003e",
      "moduleId": "lang.string"
    },
    {
      "id": "equalsIgnoreCaseAscii",
      "description": "\u003cp\u003eTests whether two strings are the same, ignoring the case of ASCII characters.\u003c/p\u003e",
      "moduleId": "lang.string"
    },
    {
      "id": "fromBytes",
      "description": "\u003cp\u003eConstructs a string from its UTF-8 representation in \u003ccode\u003ebytes\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.string"
    },
    {
      "id": "fromCodePointInt",
      "description": "\u003cp\u003eConstructs a single character string from a code point.\u003c/p\u003e",
      "moduleId": "lang.string"
    },
    {
      "id": "fromCodePointInts",
      "description": "\u003cp\u003eConstructs a string from an array of code points.\u003c/p\u003e",
      "moduleId": "lang.string"
    },
    {
      "id": "getCodePoint",
      "description": "\u003cp\u003eReturns the code point of a character in a string.\u003c/p\u003e",
      "moduleId": "lang.string"
    },
    {
      "id": "indexOf",
      "description": "\u003cp\u003eFinds the first occurrence of one string in another string.\u003c/p\u003e",
      "moduleId": "lang.string"
    },
    {
      "id": "iterator",
      "description": "\u003cp\u003eReturns an iterator over the string.\u003c/p\u003e",
      "moduleId": "lang.string"
    },
    {
      "id": "join",
      "description": "\u003cp\u003eJoins zero or more strings together with a separator.\u003c/p\u003e",
      "moduleId": "lang.string"
    },
    {
      "id": "lastIndexOf",
      "description": "\u003cp\u003eFinds the last occurrence of one string in another string.\u003c/p\u003e",
      "moduleId": "lang.string"
    },
    {
      "id": "length",
      "description": "\u003cp\u003eReturns the length of the string.\u003c/p\u003e",
      "moduleId": "lang.string"
    },
    {
      "id": "startsWith",
      "description": "\u003cp\u003eTests whether a string starts with another string.\u003c/p\u003e",
      "moduleId": "lang.string"
    },
    {
      "id": "substring",
      "description": "\u003cp\u003eReturns a substring of a string.\u003c/p\u003e",
      "moduleId": "lang.string"
    },
    {
      "id": "toBytes",
      "description": "\u003cp\u003eRepresents \u003ccode\u003estr\u003c/code\u003e as an array of bytes using UTF-8.\u003c/p\u003e",
      "moduleId": "lang.string"
    },
    {
      "id": "toCodePointInt",
      "description": "\u003cp\u003eConverts a single character string to a code point.\u003c/p\u003e",
      "moduleId": "lang.string"
    },
    {
      "id": "toCodePointInts",
      "description": "\u003cp\u003eConverts a string to an array of code points.\u003c/p\u003e",
      "moduleId": "lang.string"
    },
    {
      "id": "toLowerAscii",
      "description": "\u003cp\u003eConverts occurrences of A-Z to a-z.\u003c/p\u003e",
      "moduleId": "lang.string"
    },
    {
      "id": "toUpperAscii",
      "description": "\u003cp\u003eConverts occurrences of a-z to A-Z.\u003c/p\u003e",
      "moduleId": "lang.string"
    },
    {
      "id": "trim",
      "description": "\u003cp\u003eRemoves ASCII white space characters from the start and end of a string.\u003c/p\u003e",
      "moduleId": "lang.string"
    },
    {
      "id": "add",
      "description": "\u003cp\u003eAdds a member \u003ccode\u003eval\u003c/code\u003e to table \u003ccode\u003et\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.table"
    },
    {
      "id": "filter",
      "description": "\u003cp\u003eSelects the members from a table for which a function returns true.\u003c/p\u003e",
      "moduleId": "lang.table"
    },
    {
      "id": "forEach",
      "description": "\u003cp\u003eApplies a function to each member of a table.\u003c/p\u003e",
      "moduleId": "lang.table"
    },
    {
      "id": "get",
      "description": "\u003cp\u003eReturns the member of table \u003ccode\u003et\u003c/code\u003e with key \u003ccode\u003ek\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.table"
    },
    {
      "id": "hasKey",
      "description": "\u003cp\u003eTests whether \u003ccode\u003et\u003c/code\u003e has a member with key \u003ccode\u003ek\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.table"
    },
    {
      "id": "iterator",
      "description": "\u003cp\u003eReturns an iterator over a table.\u003c/p\u003e",
      "moduleId": "lang.table"
    },
    {
      "id": "keys",
      "description": "\u003cp\u003eReturns a list of all the keys of table \u003ccode\u003et\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.table"
    },
    {
      "id": "length",
      "description": "\u003cp\u003eReturns number of members of a table.\u003c/p\u003e",
      "moduleId": "lang.table"
    },
    {
      "id": "map",
      "description": "\u003cp\u003eApplies a function each member of a table and returns a table of the result.\u003c/p\u003e",
      "moduleId": "lang.table"
    },
    {
      "id": "nextKey",
      "description": "\u003cp\u003eReturns the next available integer key.\u003c/p\u003e",
      "moduleId": "lang.table"
    },
    {
      "id": "put",
      "description": "\u003cp\u003eAdds a member \u003ccode\u003eval\u003c/code\u003e to table \u003ccode\u003et\u003c/code\u003e, replacing any member with the same key value.\u003c/p\u003e",
      "moduleId": "lang.table"
    },
    {
      "id": "reduce",
      "description": "\u003cp\u003eCombines the members of a table using a combining function.\u003c/p\u003e",
      "moduleId": "lang.table"
    },
    {
      "id": "remove",
      "description": "\u003cp\u003eRemoves a member of a table.\u003c/p\u003e",
      "moduleId": "lang.table"
    },
    {
      "id": "removeAll",
      "description": "\u003cp\u003eRemoves all members of a table.\u003c/p\u003e",
      "moduleId": "lang.table"
    },
    {
      "id": "removeIfHasKey",
      "description": "\u003cp\u003eRemoves a member of a table with a given key, if the table has member with the key.\u003c/p\u003e",
      "moduleId": "lang.table"
    },
    {
      "id": "toArray",
      "description": "\u003cp\u003eReturns a list of all the members of a table.\u003c/p\u003e",
      "moduleId": "lang.table"
    },
    {
      "id": "abortResourceManagers",
      "description": "\u003cp\u003eAbort local resource managers.\u003c/p\u003e",
      "moduleId": "lang.transaction"
    },
    {
      "id": "ballerina/lang.transaction:0.0.1.\u003cinit\u003e0",
      "description": "",
      "moduleId": "lang.transaction"
    },
    {
      "id": "ballerina/lang.transaction:0.0.1.\u003cinit\u003e1",
      "description": "",
      "moduleId": "lang.transaction"
    },
    {
      "id": "cleanupTransactionContext",
      "description": "\u003cp\u003eCleanup the transaction context.\u003c/p\u003e",
      "moduleId": "lang.transaction"
    },
    {
      "id": "commitResourceManagers",
      "description": "\u003cp\u003eCommit local resource managers.\u003c/p\u003e",
      "moduleId": "lang.transaction"
    },
    {
      "id": "createTransactionContext",
      "description": "\u003cp\u003eA new transaction context is created by calling this function.\u003c/p\u003e",
      "moduleId": "lang.transaction"
    },
    {
      "id": "endTransaction",
      "description": "\u003cp\u003eWhen a transaction block in Ballerina code ends, it will call this function to end a transaction.\u003c/p\u003e",
      "moduleId": "lang.transaction"
    },
    {
      "id": "getAndClearFailure",
      "description": "\u003cp\u003eGet and Cleanup the failure.\u003c/p\u003e",
      "moduleId": "lang.transaction"
    },
    {
      "id": "getData",
      "description": "",
      "moduleId": "lang.transaction"
    },
    {
      "id": "getInfo",
      "description": "",
      "moduleId": "lang.transaction"
    },
    {
      "id": "getRollbackOnly",
      "description": "",
      "moduleId": "lang.transaction"
    },
    {
      "id": "info",
      "description": "",
      "moduleId": "lang.transaction"
    },
    {
      "id": "isTransactional",
      "description": "",
      "moduleId": "lang.transaction"
    },
    {
      "id": "onCommit",
      "description": "",
      "moduleId": "lang.transaction"
    },
    {
      "id": "onRollback",
      "description": "",
      "moduleId": "lang.transaction"
    },
    {
      "id": "prepareResourceManagers",
      "description": "\u003cp\u003ePrepare local resource managers.\u003c/p\u003e",
      "moduleId": "lang.transaction"
    },
    {
      "id": "rollbackTransaction",
      "description": "\u003cp\u003eRollback the transaction.\u003c/p\u003e",
      "moduleId": "lang.transaction"
    },
    {
      "id": "setData",
      "description": "",
      "moduleId": "lang.transaction"
    },
    {
      "id": "setRollbackOnly",
      "description": "",
      "moduleId": "lang.transaction"
    },
    {
      "id": "setTransactionContext",
      "description": "\u003cp\u003eSet the transactionContext.\u003c/p\u003e",
      "moduleId": "lang.transaction"
    },
    {
      "id": "startTransaction",
      "description": "",
      "moduleId": "lang.transaction"
    },
    {
      "id": "clone",
      "description": "\u003cp\u003eReturns a clone of \u003ccode\u003ev\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.value"
    },
    {
      "id": "cloneReadOnly",
      "description": "\u003cp\u003eReturns a clone of \u003ccode\u003ev\u003c/code\u003e that is read-only, i.\u003c/p\u003e",
      "moduleId": "lang.value"
    },
    {
      "id": "cloneWithType",
      "description": "\u003cp\u003eConstructs a value with a specified type by cloning another value.\u003c/p\u003e",
      "moduleId": "lang.value"
    },
    {
      "id": "fromJsonString",
      "description": "\u003cp\u003eParses a string in JSON format and returns the the value that it represents.\u003c/p\u003e",
      "moduleId": "lang.value"
    },
    {
      "id": "fromJsonStringWithType",
      "description": "\u003cp\u003eConverts a string in JSON format to a user-specified type.\u003c/p\u003e",
      "moduleId": "lang.value"
    },
    {
      "id": "fromJsonWithType",
      "description": "\u003cp\u003eConverts a value of type json to a user-specified type.\u003c/p\u003e",
      "moduleId": "lang.value"
    },
    {
      "id": "isReadOnly",
      "description": "\u003cp\u003eTests whether \u003ccode\u003ev\u003c/code\u003e is read-only, i.\u003c/p\u003e",
      "moduleId": "lang.value"
    },
    {
      "id": "mergeJson",
      "description": "\u003cp\u003eMerges two json values.\u003c/p\u003e",
      "moduleId": "lang.value"
    },
    {
      "id": "toJson",
      "description": "\u003cp\u003eConverts a value of type \u003ccode\u003eanydata\u003c/code\u003e to \u003ccode\u003ejson\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.value"
    },
    {
      "id": "toJsonString",
      "description": "\u003cp\u003eReturns the string that represents \u003ccode\u003ev\u003c/code\u003e in JSON format.\u003c/p\u003e",
      "moduleId": "lang.value"
    },
    {
      "id": "toString",
      "description": "\u003cp\u003ePerforms a minimal conversion of a value to a string.\u003c/p\u003e",
      "moduleId": "lang.value"
    },
    {
      "id": "children",
      "description": "\u003cp\u003eReturns the children of elements in an xml value.\u003c/p\u003e",
      "moduleId": "lang.xml"
    },
    {
      "id": "concat",
      "description": "\u003cp\u003eConcatenates xml and string values.\u003c/p\u003e",
      "moduleId": "lang.xml"
    },
    {
      "id": "createComment",
      "description": "\u003cp\u003eConstructs an xml sequence consisting of only a comment item.\u003c/p\u003e",
      "moduleId": "lang.xml"
    },
    {
      "id": "createElement",
      "description": "\u003cp\u003eConstructs an xml sequence consisting of only a new element item.\u003c/p\u003e",
      "moduleId": "lang.xml"
    },
    {
      "id": "createProcessingInstruction",
      "description": "\u003cp\u003eConstructs an xml sequence consisting of only a processing instruction item.\u003c/p\u003e",
      "moduleId": "lang.xml"
    },
    {
      "id": "elementChildren",
      "description": "\u003cp\u003eSelects element children of an xml value\u003c/p\u003e\n",
      "moduleId": "lang.xml"
    },
    {
      "id": "elements",
      "description": "\u003cp\u003eSelects elements from an xml value.\u003c/p\u003e",
      "moduleId": "lang.xml"
    },
    {
      "id": "filter",
      "description": "\u003cp\u003eSelects the items from an xml sequence for which a function returns true.\u003c/p\u003e",
      "moduleId": "lang.xml"
    },
    {
      "id": "forEach",
      "description": "\u003cp\u003eApplies a function to each item in an xml sequence.\u003c/p\u003e",
      "moduleId": "lang.xml"
    },
    {
      "id": "fromString",
      "description": "\u003cp\u003eConstructs an xml value from a string.\u003c/p\u003e",
      "moduleId": "lang.xml"
    },
    {
      "id": "get",
      "description": "\u003cp\u003eReturns the item of \u003ccode\u003ex\u003c/code\u003e with index \u003ccode\u003ei\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.xml"
    },
    {
      "id": "getAttributes",
      "description": "\u003cp\u003eReturns the map representing the attributes of \u003ccode\u003eelem\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.xml"
    },
    {
      "id": "getChildren",
      "description": "\u003cp\u003eReturns the children of \u003ccode\u003eelem\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.xml"
    },
    {
      "id": "getContent",
      "description": "\u003cp\u003eReturns the content of a text or processing instruction or comment item.\u003c/p\u003e",
      "moduleId": "lang.xml"
    },
    {
      "id": "getName",
      "description": "\u003cp\u003eReturns a string giving the expanded name of \u003ccode\u003eelem\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.xml"
    },
    {
      "id": "getTarget",
      "description": "\u003cp\u003eReturns the target part of the processing instruction.\u003c/p\u003e",
      "moduleId": "lang.xml"
    },
    {
      "id": "iterator",
      "description": "\u003cp\u003eReturns an iterator over the xml items of \u003ccode\u003ex\u003c/code\u003e\u003c/p\u003e\n",
      "moduleId": "lang.xml"
    },
    {
      "id": "length",
      "description": "\u003cp\u003eReturns number of xml items in \u003ccode\u003ex\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.xml"
    },
    {
      "id": "map",
      "description": "\u003cp\u003eApplies a function to each item in an xml sequence, and returns an xml sequence of the results.\u003c/p\u003e",
      "moduleId": "lang.xml"
    },
    {
      "id": "setChildren",
      "description": "\u003cp\u003eSets the children of \u003ccode\u003eelem\u003c/code\u003e to \u003ccode\u003echildren\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.xml"
    },
    {
      "id": "setName",
      "description": "\u003cp\u003eChange the name of element \u003ccode\u003eelem\u003c/code\u003e to \u003ccode\u003exName\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.xml"
    },
    {
      "id": "slice",
      "description": "\u003cp\u003eReturns a subsequence of an xml value.\u003c/p\u003e",
      "moduleId": "lang.xml"
    },
    {
      "id": "strip",
      "description": "\u003cp\u003eStrips the insignificant parts of the an xml value.\u003c/p\u003e",
      "moduleId": "lang.xml"
    },
    {
      "id": "doAuthenticate",
      "description": "\u003cp\u003eAuthenticates with the username and password.\u003c/p\u003e",
      "moduleId": "ldap"
    },
    {
      "id": "getGroups",
      "description": "\u003cp\u003eRetrieves the group(s) of the user related to the provided username.\u003c/p\u003e",
      "moduleId": "ldap"
    },
    {
      "id": "initLdapConnectionContext",
      "description": "\u003cp\u003eInitailizes the LDAP connection context.\u003c/p\u003e",
      "moduleId": "ldap"
    },
    {
      "id": "printDebug",
      "description": "\u003cp\u003eLogs the specified value at DEBUG level.\u003c/p\u003e",
      "moduleId": "log"
    },
    {
      "id": "printError",
      "description": "\u003cp\u003eLogs the specified message at ERROR level.\u003c/p\u003e",
      "moduleId": "log"
    },
    {
      "id": "printInfo",
      "description": "\u003cp\u003eLogs the specified message at INFO level.\u003c/p\u003e",
      "moduleId": "log"
    },
    {
      "id": "printTrace",
      "description": "\u003cp\u003eLogs the specified message at TRACE level.\u003c/p\u003e",
      "moduleId": "log"
    },
    {
      "id": "printWarn",
      "description": "\u003cp\u003eLogs the specified message at WARN level.\u003c/p\u003e",
      "moduleId": "log"
    },
    {
      "id": "setModuleLogLevel",
      "description": "\u003cp\u003eSets the module log level.\u003c/p\u003e",
      "moduleId": "log"
    },
    {
      "id": "absFloat",
      "description": "\u003cp\u003eCalculates the absolute value of a float value.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "absInt",
      "description": "\u003cp\u003eCalculates the absolute value of an int value.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "acos",
      "description": "\u003cp\u003eCalculates the arc cosine of a value; the returned angle is in the range 0.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "asin",
      "description": "\u003cp\u003eCalculates the arc sine of a value.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "atan",
      "description": "\u003cp\u003eCalculates the arc tangent of a value.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "atan2",
      "description": "\u003cp\u003eCalculates the angle theta from the conversion of rectangular coordinates (a, b) to polar coordinates (r, theta).\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "cbrt",
      "description": "\u003cp\u003eCalculates the cube root of a float value.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "ceil",
      "description": "\u003cp\u003eCalculates the smallest (closest to negative infinity) double value that is greater than or equal to the argument and\nis equal to a mathematical integer.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "copySign",
      "description": "\u003cp\u003eCalculates the first floating-point argument with the sign of the second floating-point argument.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "cos",
      "description": "\u003cp\u003eCalculates the trigonometric cosine of an angle.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "cosh",
      "description": "\u003cp\u003eCalculates the hyperbolic cosine of a float value.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "exp",
      "description": "\u003cp\u003eCalculates Euler\u0027s number, that is \u0027e\u0027 raised to the power of exponent.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "expm1",
      "description": "\u003cp\u003eCalculates (e to the power of x) -1.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "floor",
      "description": "\u003cp\u003eCalculates the largest (closest to positive infinity) float value that is less than or equal to the argument and is\nequal to a mathematical integer.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "floorDiv",
      "description": "\u003cp\u003eCalculates the largest (closest to positive infinity) int value that is less than or equal to the algebraic quotient.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "floorMod",
      "description": "\u003cp\u003eCalculates the floor modulus of the long arguments.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "getExponent",
      "description": "\u003cp\u003eCalculates the unbiased exponent used in the representation of a float.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "hypot",
      "description": "\u003cp\u003eCalculates sqrt(a squared +b squared) without intermediate overflow or underflow.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "log",
      "description": "\u003cp\u003eCalculates the natural logarithm (base e) of a float value.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "log10",
      "description": "\u003cp\u003eCalculates the base 10 logarithm of a float value.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "log1p",
      "description": "\u003cp\u003eCalculates the natural logarithm of the sum of the argument and 1.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "negateExact",
      "description": "\u003cp\u003eCalculates the negation of the argument.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "nextAfter",
      "description": "\u003cp\u003eCalculates the floating-point number adjacent to the first argument in the direction of the second argument.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "nextDown",
      "description": "\u003cp\u003eCalculates the adjacent floating-point value closer to negative infinity.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "nextUp",
      "description": "\u003cp\u003eCalculates the adjacent floating-point value closer to positive infinity.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "pow",
      "description": "\u003cp\u003eCalculates the value of the \u0027a\u0027 raised to the power of \u0027b\u0027.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "random",
      "description": "\u003cp\u003eSelects a random number between 0.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "randomInRange",
      "description": "\u003cp\u003eSelects a random number between the given start(inclusive) and end(exclusive) values.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "remainder",
      "description": "\u003cp\u003eComputes the remainder operation on two arguments as prescribed by the IEEE 754 standard.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "rint",
      "description": "\u003cp\u003eCalculates the double value that is closest in value to the argument and is equal to a mathematical integer.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "round",
      "description": "\u003cp\u003eCalculates the closest int to the argument, with ties rounding to positive infinity.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "scalb",
      "description": "\u003cp\u003eCalculates a × (2 to the power of b) rounded as if performed by a single correctly rounded floating-point\nmultiply to a member of the float value set.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "signum",
      "description": "\u003cp\u003eCalculates the signum function of the argument.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "sin",
      "description": "\u003cp\u003eCalculates the trigonometric sine of an angle.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "sinh",
      "description": "\u003cp\u003eCalculates the hyperbolic sine of a float value.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "sqrt",
      "description": "\u003cp\u003eCalculates rounded positive square root of the given value.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "tan",
      "description": "\u003cp\u003eCalculates the trigonometric tangent of an angle.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "tanh",
      "description": "\u003cp\u003eCalculates the hyperbolic tangent of a double value.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "toDegrees",
      "description": "\u003cp\u003eConverts an angle measured in radians to an approximately equivalent angle measured in degrees.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "toRadians",
      "description": "\u003cp\u003eConverts an angle measured in degrees to an approximately equivalent angle measured in radians.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "ulp",
      "description": "\u003cp\u003eReturns the size of an ulp of the argument.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "base64Decode",
      "description": "\u003cp\u003e\u003cstrong\u003eDeprecated API\u003c/strong\u003e.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "base64DecodeBlob",
      "description": "\u003cp\u003e\u003cstrong\u003eDeprecated API\u003c/strong\u003e.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "base64Encode",
      "description": "\u003cp\u003e\u003cstrong\u003eDeprecated API\u003c/strong\u003e.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "base64EncodeBlob",
      "description": "\u003cp\u003e\u003cstrong\u003eDeprecated API\u003c/strong\u003e.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "getContentDispositionObject",
      "description": "\u003cp\u003eGiven the Content-Disposition as a string, gets the ContentDisposition object with it.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "getMediaType",
      "description": "\u003cp\u003eGets the \u003ccode\u003eMediaType\u003c/code\u003e object populated with it when the \u003ccode\u003eContent-Type\u003c/code\u003e is in string.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "prepareDecodingErrorWithDetail",
      "description": "\u003cp\u003eConstructs a \u003ccode\u003eDecodeError\u003c/code\u003e with the given details.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "prepareEncodingErrorWithDetail",
      "description": "\u003cp\u003eConstructs an \u003ccode\u003eEncodeError\u003c/code\u003e with the given details.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "validateOAuth2Token",
      "description": "\u003cp\u003eValidates the given OAuth2 token by calling the OAuth2 introspection endpoint.\u003c/p\u003e",
      "moduleId": "oauth2"
    },
    {
      "id": "addTagToSpan",
      "description": "\u003cp\u003eAdd a key value pair as a tag to the span.\u003c/p\u003e",
      "moduleId": "observe"
    },
    {
      "id": "ballerina/observe:0.8.0.\u003cinit\u003e0",
      "description": "",
      "moduleId": "observe"
    },
    {
      "id": "finishSpan",
      "description": "\u003cp\u003eFinish the current span.\u003c/p\u003e",
      "moduleId": "observe"
    },
    {
      "id": "getAllMetrics",
      "description": "\u003cp\u003eRetrieve all registered metrics including default metrics from the ballerina runtime, and user defined metrics.\u003c/p\u003e",
      "moduleId": "observe"
    },
    {
      "id": "isObservabilityEnabled",
      "description": "\u003cp\u003eChecks of either metrics or tracing had been enabled.\u003c/p\u003e",
      "moduleId": "observe"
    },
    {
      "id": "lookupMetric",
      "description": "\u003cp\u003eRetrieves the specific metric that is described by the given name and tags.\u003c/p\u003e",
      "moduleId": "observe"
    },
    {
      "id": "startRootSpan",
      "description": "\u003cp\u003eStart a span with no parent span.\u003c/p\u003e",
      "moduleId": "observe"
    },
    {
      "id": "startSpan",
      "description": "\u003cp\u003eStart a span and create child relationship to current active span or user specified span.\u003c/p\u003e",
      "moduleId": "observe"
    },
    {
      "id": "getResourceAnnotations",
      "description": "\u003cp\u003eFunction to retrieve the resource\u0027s annotation.\u003c/p\u003e",
      "moduleId": "reflect"
    },
    {
      "id": "getServiceAnnotations",
      "description": "\u003cp\u003eFunction to retrieve the service\u0027s annotation.\u003c/p\u003e",
      "moduleId": "reflect"
    },
    {
      "id": "getCallStack",
      "description": "\u003cp\u003eRetrieves the array of \u003ccode\u003eruntime:CallStackElement\u003c/code\u003e instances.\u003c/p\u003e",
      "moduleId": "runtime"
    },
    {
      "id": "getInvocationContext",
      "description": "\u003cp\u003eReturns the \u003ccode\u003eruntime:InvocationContext\u003c/code\u003e instance.\u003c/p\u003e",
      "moduleId": "runtime"
    },
    {
      "id": "sleep",
      "description": "\u003cp\u003eHalts the current strand for a predefined amount of time.\u003c/p\u003e",
      "moduleId": "runtime"
    },
    {
      "id": "ballerina/sql:0.5.0.\u003cinit\u003e0",
      "description": "",
      "moduleId": "sql"
    },
    {
      "id": "generateApplicationErrorStream",
      "description": "",
      "moduleId": "sql"
    },
    {
      "id": "getGlobalConnectionPool",
      "description": "",
      "moduleId": "sql"
    },
    {
      "id": "contains",
      "description": "\u003cp\u003eChecks whether the given string contains a particular substring.\u003c/p\u003e",
      "moduleId": "stringutils"
    },
    {
      "id": "equalsIgnoreCase",
      "description": "\u003cp\u003eChecks if two strings are equal ignoring the case of the strings.\u003c/p\u003e",
      "moduleId": "stringutils"
    },
    {
      "id": "hashCode",
      "description": "\u003cp\u003eReturns a hash code for a given string.\u003c/p\u003e",
      "moduleId": "stringutils"
    },
    {
      "id": "lastIndexOf",
      "description": "\u003cp\u003eReturns the last index of the provided substring within a string.\u003c/p\u003e",
      "moduleId": "stringutils"
    },
    {
      "id": "matches",
      "description": "\u003cp\u003eChecks whether the given string matches the provided regex.\u003c/p\u003e",
      "moduleId": "stringutils"
    },
    {
      "id": "replace",
      "description": "\u003cp\u003eReplaces each occurrence of the provided \u003ccode\u003esubstring\u003c/code\u003e inside the provided\n\u003ccode\u003eoriginalString\u003c/code\u003e with the specified \u003ccode\u003ereplacement\u003c/code\u003e string.\u003c/p\u003e",
      "moduleId": "stringutils"
    },
    {
      "id": "replaceAll",
      "description": "\u003cp\u003eReplaces each occurrence of the substrings, which matches the provided\nregular expression from the given original string value with the\nprovided replacement string.\u003c/p\u003e",
      "moduleId": "stringutils"
    },
    {
      "id": "replaceFirst",
      "description": "\u003cp\u003eReplaces the first substring that matches the given regular expression with\nthe provided \u003ccode\u003ereplacement\u003c/code\u003e string.\u003c/p\u003e",
      "moduleId": "stringutils"
    },
    {
      "id": "split",
      "description": "\u003cp\u003eReturns an array of strings by splitting a string using the provided\ndelimiter.\u003c/p\u003e",
      "moduleId": "stringutils"
    },
    {
      "id": "toBoolean",
      "description": "\u003cp\u003eReturns a boolean value of a given string.\u003c/p\u003e",
      "moduleId": "stringutils"
    },
    {
      "id": "exec",
      "description": "\u003cp\u003eExecutes an operating system command as a subprocess of the current process.\u003c/p\u003e",
      "moduleId": "system"
    },
    {
      "id": "getEnv",
      "description": "\u003cp\u003eReturns the environment variable value associated with the provided name.\u003c/p\u003e",
      "moduleId": "system"
    },
    {
      "id": "getUserHome",
      "description": "\u003cp\u003eReturns the current user\u0027s home directory path.\u003c/p\u003e",
      "moduleId": "system"
    },
    {
      "id": "getUsername",
      "description": "\u003cp\u003eReturns the current user\u0027s name.\u003c/p\u003e",
      "moduleId": "system"
    },
    {
      "id": "uuid",
      "description": "\u003cp\u003eReturns a random UUID string.\u003c/p\u003e",
      "moduleId": "system"
    },
    {
      "id": "assertEquals",
      "description": "\u003cp\u003eAsserts whether the given values are equal.\u003c/p\u003e",
      "moduleId": "test"
    },
    {
      "id": "assertExactEquals",
      "description": "\u003cp\u003eAsserts whether the given values are exactly equal.\u003c/p\u003e",
      "moduleId": "test"
    },
    {
      "id": "assertFail",
      "description": "\u003cp\u003eAssert failure is triggered based on user discretion.\u003c/p\u003e",
      "moduleId": "test"
    },
    {
      "id": "assertFalse",
      "description": "\u003cp\u003eAsserts whether the given condition is false.\u003c/p\u003e",
      "moduleId": "test"
    },
    {
      "id": "assertNotEquals",
      "description": "\u003cp\u003eAsserts whether the given values are not equal.\u003c/p\u003e",
      "moduleId": "test"
    },
    {
      "id": "assertNotExactEquals",
      "description": "\u003cp\u003eAsserts whether the given values are not exactly equal.\u003c/p\u003e",
      "moduleId": "test"
    },
    {
      "id": "assertTrue",
      "description": "\u003cp\u003eAsserts whether the given condition is true.\u003c/p\u003e",
      "moduleId": "test"
    },
    {
      "id": "createBallerinaError",
      "description": "\u003cp\u003eCreates an AssertError with custom message and category.\u003c/p\u003e",
      "moduleId": "test"
    },
    {
      "id": "mock",
      "description": "\u003cp\u003eCreates and returns a mock object of provided type description.\u003c/p\u003e",
      "moduleId": "test"
    },
    {
      "id": "mockHandler",
      "description": "\u003cp\u003eInter-op to handle function mocking.\u003c/p\u003e",
      "moduleId": "test"
    },
    {
      "id": "prepare",
      "description": "\u003cp\u003ePrepares a provided default mock object for stubbing.\u003c/p\u003e",
      "moduleId": "test"
    },
    {
      "id": "when",
      "description": "\u003cp\u003eObjects and functions related to function mocking\nAllows a function to stub.\u003c/p\u003e",
      "moduleId": "test"
    },
    {
      "id": "addDuration",
      "description": "\u003cp\u003eAdd specified durations to the given time value.\u003c/p\u003e",
      "moduleId": "time"
    },
    {
      "id": "createTime",
      "description": "\u003cp\u003eReturns the Time object correspoding to the given time components and time-zone.\u003c/p\u003e",
      "moduleId": "time"
    },
    {
      "id": "currentTime",
      "description": "\u003cp\u003eReturns the current time value with the default system time-zone.\u003c/p\u003e",
      "moduleId": "time"
    },
    {
      "id": "format",
      "description": "\u003cp\u003eReturns the formatted string representation of the given time.\u003c/p\u003e",
      "moduleId": "time"
    },
    {
      "id": "getDate",
      "description": "\u003cp\u003eReturns the date representation of the given time.\u003c/p\u003e",
      "moduleId": "time"
    },
    {
      "id": "getDay",
      "description": "\u003cp\u003eReturns the date representation of the given time.\u003c/p\u003e",
      "moduleId": "time"
    },
    {
      "id": "getHour",
      "description": "\u003cp\u003eReturns the hour representation of the given time.\u003c/p\u003e",
      "moduleId": "time"
    },
    {
      "id": "getMilliSecond",
      "description": "\u003cp\u003eReturns the millisecond representation of the given time.\u003c/p\u003e",
      "moduleId": "time"
    },
    {
      "id": "getMinute",
      "description": "\u003cp\u003eReturns the minute representation of the given time.\u003c/p\u003e",
      "moduleId": "time"
    },
    {
      "id": "getMonth",
      "description": "\u003cp\u003eReturns the month representation of the given time.\u003c/p\u003e",
      "moduleId": "time"
    },
    {
      "id": "getSecond",
      "description": "\u003cp\u003eReturns the second representation of the given time.\u003c/p\u003e",
      "moduleId": "time"
    },
    {
      "id": "getTime",
      "description": "\u003cp\u003eReturns the time representation of the given time.\u003c/p\u003e",
      "moduleId": "time"
    },
    {
      "id": "getWeekday",
      "description": "\u003cp\u003eReturns the weekday representation of the given time.\u003c/p\u003e",
      "moduleId": "time"
    },
    {
      "id": "getYear",
      "description": "\u003cp\u003eReturns the year representation of the given time.\u003c/p\u003e",
      "moduleId": "time"
    },
    {
      "id": "nanoTime",
      "description": "\u003cp\u003eReturns the current system time in nano seconds.\u003c/p\u003e",
      "moduleId": "time"
    },
    {
      "id": "parse",
      "description": "\u003cp\u003eReturns the time for the given string representation based on the given format string.\u003c/p\u003e",
      "moduleId": "time"
    },
    {
      "id": "subtractDuration",
      "description": "\u003cp\u003eSubtract specified durations from the given time value.\u003c/p\u003e",
      "moduleId": "time"
    },
    {
      "id": "toString",
      "description": "\u003cp\u003eReturns the ISO 8601 string representation of the given time.\u003c/p\u003e",
      "moduleId": "time"
    },
    {
      "id": "toTimeZone",
      "description": "\u003cp\u003eChange the time-zone of the given time.\u003c/p\u003e",
      "moduleId": "time"
    },
    {
      "id": "ballerina/transactions:0.5.0.\u003cinit\u003e0",
      "description": "",
      "moduleId": "transactions"
    },
    {
      "id": "ballerina/transactions:0.5.0.\u003cinit\u003e1",
      "description": "",
      "moduleId": "transactions"
    },
    {
      "id": "ballerina/transactions:0.5.0.\u003cinit\u003e2",
      "description": "",
      "moduleId": "transactions"
    },
    {
      "id": "ballerina/transactions:0.5.0.\u003cinit\u003e3",
      "description": "",
      "moduleId": "transactions"
    },
    {
      "id": "ballerina/transactions:0.5.0.\u003cinit\u003e4",
      "description": "",
      "moduleId": "transactions"
    },
    {
      "id": "beginTransaction",
      "description": "When a transaction block in Ballerina code begins, it will call this function to begin a transaction.",
      "moduleId": "transactions"
    },
    {
      "id": "cleanupTransactionContext",
      "description": "Cleanup the transaction context.",
      "moduleId": "transactions"
    },
    {
      "id": "endTransaction",
      "description": "When a transaction block in Ballerina code ends, it will call this function to end a transaction.",
      "moduleId": "transactions"
    },
    {
      "id": "getAndClearFailure",
      "description": "Get and Cleanup the failure.",
      "moduleId": "transactions"
    },
    {
      "id": "getCurrentTransactionId",
      "description": "Get the current transaction id.",
      "moduleId": "transactions"
    },
    {
      "id": "rollbackTransaction",
      "description": "Rollback the transaction.",
      "moduleId": "transactions"
    },
    {
      "id": "setTransactionContext",
      "description": "Set the transactionContext.",
      "moduleId": "transactions"
    },
    {
      "id": "fromJSON",
      "description": "\u003cp\u003eConverts a JSON object to an XML representation.\u003c/p\u003e",
      "moduleId": "xmlutils"
    },
    {
      "id": "fromTable",
      "description": "\u003cp\u003eConverts a table to its XML representation.\u003c/p\u003e",
      "moduleId": "xmlutils"
    }
  ],
  "records": [
    {
      "id": "BasicAuthConfig",
      "description": "\u003cp\u003eRepresents the inbound Basic Authentication configurations.\u003c/p\u003e",
      "moduleId": "auth"
    },
    {
      "id": "Credential",
      "description": "\u003cp\u003eRepresents the Basic Authentication configurations, which are used by the HTTP endpoint.\u003c/p\u003e",
      "moduleId": "auth"
    },
    {
      "id": "InvocationContext",
      "description": "\u003cp\u003eRepresents the \u003ccode\u003eauth:InvocationContext\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "auth"
    },
    {
      "id": "CacheConfig",
      "description": "\u003cp\u003eRepresents configurations for the \u003ccode\u003ecache:Cache\u003c/code\u003e object.\u003c/p\u003e",
      "moduleId": "cache"
    },
    {
      "id": "LinkedList",
      "description": "\u003cp\u003eRepresents a linked list, which is used to govern the cache eviction policy.\u003c/p\u003e",
      "moduleId": "cache"
    },
    {
      "id": "Node",
      "description": "\u003cp\u003eRepresents a structure to keep data and references to the adjacent nodes of the linked list.\u003c/p\u003e",
      "moduleId": "cache"
    },
    {
      "id": "Certificate",
      "description": "\u003cp\u003eX509 public key certificate information.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "KeyStore",
      "description": "\u003cp\u003eKey store related configurations.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "PrivateKey",
      "description": "\u003cp\u003ePrivate key used in cryptographic operations.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "PublicKey",
      "description": "\u003cp\u003ePublic key used in cryptographic operations.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "TrustStore",
      "description": "\u003cp\u003eTrust store related configurations.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "Email",
      "description": "\u003cp\u003eEmail message properties.\u003c/p\u003e",
      "moduleId": "email"
    },
    {
      "id": "ImapConfig",
      "description": "\u003cp\u003eConfiguration of the IMAP Endpoint.\u003c/p\u003e",
      "moduleId": "email"
    },
    {
      "id": "ListenerConfig",
      "description": "\u003cp\u003eConfiguration for Email listener endpoint.\u003c/p\u003e",
      "moduleId": "email"
    },
    {
      "id": "PopConfig",
      "description": "\u003cp\u003eConfiguration of the POP Endpoint.\u003c/p\u003e",
      "moduleId": "email"
    },
    {
      "id": "SmtpConfig",
      "description": "\u003cp\u003eConfiguration of the SMTP Endpoint.\u003c/p\u003e",
      "moduleId": "email"
    },
    {
      "id": "FileEvent",
      "description": "\u003cp\u003eRepresents an event which will trigger when there is a changes to listining direcotry.\u003c/p\u003e",
      "moduleId": "file"
    },
    {
      "id": "ListenerConfig",
      "description": "\u003cp\u003eRepresents configurations that required for directory listener.\u003c/p\u003e",
      "moduleId": "file"
    },
    {
      "id": "ClientConfiguration",
      "description": "\u003cp\u003eRepresents client endpoint configuration.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "GrpcServiceConfig",
      "description": "\u003cp\u003eService configuration.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "ListenerConfiguration",
      "description": "\u003cp\u003eRepresents the gRPC server endpoint configuration.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "ListenerOcspStapling",
      "description": "\u003cp\u003eOcspStapling record represents options related to check whether a certificate is revoked or not.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "ListenerSecureSocket",
      "description": "\u003cp\u003eConfigures the SSL/TLS options to be used for HTTP service.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "Local",
      "description": "\u003cp\u003ePresents a read-only view of the local address.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "PoolConfiguration",
      "description": "\u003cp\u003eConfigurations for managing the gRPC client connection pool.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "Protocols",
      "description": "\u003cp\u003eProtocols record represents SSL/TLS protocol related options to be used for HTTP client/service invocation.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "Remote",
      "description": "\u003cp\u003ePresents a read-only view of the remote address.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "RetryConfiguration",
      "description": "\u003cp\u003eRepresents grpc client retry functionality configurations.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "SecureSocket",
      "description": "\u003cp\u003eProvides the configurations for facilitating secure communication with a remote HTTP endpoint.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "ServiceDescriptorData",
      "description": "\u003cp\u003eService descriptor data generated at the compile time.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "ValidateCert",
      "description": "\u003cp\u003eValidateCert record represents options related to check whether a certificate is revoked or not.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "Bucket",
      "description": "\u003cp\u003eRepresents a discrete sub-part of the time window (Bucket).\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "CacheConfig",
      "description": "\u003cp\u003eProvides a set of configurations for controlling the caching behaviour of the endpoint.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "CircuitBreakerConfig",
      "description": "\u003cp\u003eProvides a set of configurations for controlling the behaviour of the Circuit Breaker.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "CircuitBreakerInferredConfig",
      "description": "\u003cp\u003eDerived set of configurations from the \u003ccode\u003eCircuitBreakerConfig\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "CircuitHealth",
      "description": "\u003cp\u003eMaintains the health of the Circuit Breaker.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "ClientConfiguration",
      "description": "\u003cp\u003eProvides a set of configurations for controlling the behaviours when communicating with a remote HTTP endpoint.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "ClientHttp1Settings",
      "description": "\u003cp\u003eProvides settings related to HTTP/1.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "ClientHttp2Settings",
      "description": "\u003cp\u003eProvides settings related to HTTP/2 protocol.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "ClientSecureSocket",
      "description": "\u003cp\u003eProvides configurations for facilitating secure communication with a remote HTTP endpoint.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "CommonClientConfiguration",
      "description": "\u003cp\u003eCommon client configurations for the next level clients.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "CommonWebSocketClientConfiguration",
      "description": "\u003cp\u003eCommon client configurations for WebSocket clients.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "CompressionConfig",
      "description": "\u003cp\u003eA record for providing configurations for content compression.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "CookieConfig",
      "description": "\u003cp\u003eClient configuration for cookies.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "CorsConfig",
      "description": "\u003cp\u003eConfigurations for CORS support.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "FailoverClientConfiguration",
      "description": "\u003cp\u003eProvides a set of HTTP related configurations and failover related configurations.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "FailoverConfig",
      "description": "\u003cp\u003eProvides a set of configurations for controlling the failover behaviour of the endpoint.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "FailoverInferredConfig",
      "description": "\u003cp\u003eRepresents the inferred failover configurations passed into the failover client.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "FollowRedirects",
      "description": "\u003cp\u003eProvides configurations for controlling the endpoint\u0027s behaviour in response to HTTP redirect related responses.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "HttpResourceConfig",
      "description": "\u003cp\u003eConfiguration for an HTTP resource.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "HttpServiceConfig",
      "description": "\u003cp\u003eContains the configurations for an HTTP service.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "HttpTimeoutError",
      "description": "\u003cp\u003eDefines a timeout error occurred during service invocation.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "ListenerAuth",
      "description": "\u003cp\u003eAuthentication configurations for the listener.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "ListenerConfiguration",
      "description": "\u003cp\u003eProvides a set of configurations for HTTP service endpoints.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "ListenerHttp1Settings",
      "description": "\u003cp\u003eProvides settings related to HTTP/1.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "ListenerOcspStapling",
      "description": "\u003cp\u003eA record for providing configurations for certificate revocation status checks.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "ListenerSecureSocket",
      "description": "\u003cp\u003eConfigures the SSL/TLS options to be used for HTTP service.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "LoadBalanceActionErrorData",
      "description": "\u003cp\u003eRepresents the error attributes in addition to the message and the cause of the \u003ccode\u003eLoadBalanceActionError\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "LoadBalanceClientConfiguration",
      "description": "\u003cp\u003eThe configurations related to the load balance client endpoint.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "Local",
      "description": "\u003cp\u003ePresents a read-only view of the local address.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "MutualSslHandshake",
      "description": "\u003cp\u003eA record for providing mutual SSL handshake results.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "OutboundAuthConfig",
      "description": "\u003cp\u003eThe \u003ccode\u003eOutboundAuthConfig\u003c/code\u003e record can be used to configure the authentication mechanism used by the HTTP endpoint.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "PoolConfiguration",
      "description": "\u003cp\u003eConfigurations for managing HTTP client connection pool.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "Protocols",
      "description": "\u003cp\u003eA record for configuring SSL/TLS protocol and version to be used.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "ProxyConfig",
      "description": "\u003cp\u003eProxy server configurations to be used with the HTTP client endpoint.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "Remote",
      "description": "\u003cp\u003ePresents a read-only view of the remote address.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "ResourceAuth",
      "description": "\u003cp\u003eConfigures the authentication scheme for a resource.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "RetryConfig",
      "description": "\u003cp\u003eProvides configurations for controlling the retrying behavior in failure scenarios.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "RetryInferredConfig",
      "description": "\u003cp\u003eDerived set of configurations from the \u003ccode\u003eRetryConfig\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "RollingWindow",
      "description": "\u003cp\u003eRepresents a rolling window in the Circuit Breaker.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "ServiceAuth",
      "description": "\u003cp\u003eConfigures the authentication scheme for a service.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "TargetService",
      "description": "\u003cp\u003eRepresents a single service and its related configurations.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "ValidateCert",
      "description": "\u003cp\u003eA record for providing configurations for certificate revocation status checks.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "Versioning",
      "description": "\u003cp\u003eConfigurations for service versioning.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "WSServiceConfig",
      "description": "\u003cp\u003eConfigurations for a WebSocket service.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "WebSocketClientConfiguration",
      "description": "\u003cp\u003eConfigurations for the WebSocket client.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "WebSocketFailoverClientConfiguration",
      "description": "\u003cp\u003eConfigurations for the WebSocket client endpoint.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "WebSocketRetryConfig",
      "description": "\u003cp\u003eRetry configurations for WebSocket.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "WebSocketUpgradeConfig",
      "description": "\u003cp\u003eResource configuration to upgrade from HTTP to WebSocket.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "ArrayType",
      "description": "\u003cp\u003eRepresents a Java array type.\u003c/p\u003e",
      "moduleId": "java"
    },
    {
      "id": "ConstructorData",
      "description": "\u003cp\u003eDescribes a Java constructor.\u003c/p\u003e",
      "moduleId": "java"
    },
    {
      "id": "FieldData",
      "description": "\u003cp\u003eDescribes a Java field.\u003c/p\u003e",
      "moduleId": "java"
    },
    {
      "id": "MethodData",
      "description": "\u003cp\u003eDescribes a Java method.\u003c/p\u003e",
      "moduleId": "java"
    },
    {
      "id": "ObjectData",
      "description": "\u003cp\u003eDescribes a Java class that corresponds to a Ballerina object.\u003c/p\u003e",
      "moduleId": "java"
    },
    {
      "id": "Options",
      "description": "\u003cp\u003eProvides a set of configuration related to database.\u003c/p\u003e",
      "moduleId": "java.jdbc"
    },
    {
      "id": "XmlOptions",
      "description": "\u003cp\u003eProvides configurations for converting XML to JSON.\u003c/p\u003e",
      "moduleId": "jsonutils"
    },
    {
      "id": "AuthenticationConfiguration",
      "description": "\u003cp\u003eConfigurations related to Kafka authentication mechanisms.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "AvroRecord",
      "description": "\u003cp\u003eDefines a record to send data using Avro serialization.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "ConsumerConfiguration",
      "description": "\u003cp\u003eConfigurations related to consumer endpoint.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "ConsumerRecord",
      "description": "\u003cp\u003eType related to consumer record.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "KeyStore",
      "description": "\u003cp\u003eConfigurations related to the KeyStore.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "PartitionOffset",
      "description": "\u003cp\u003eRepresents the topic partition position in which the consumed record is stored.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "ProducerConfiguration",
      "description": "\u003cp\u003eRepresents the Kafka Producer configuration.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "Protocols",
      "description": "\u003cp\u003eConfigurations related to the SSL/TLS protocol and the versions to be used.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "SecureSocket",
      "description": "\u003cp\u003eConfigurations for facilitating secure communication with the Kafka server.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "TopicPartition",
      "description": "\u003cp\u003eRepresents a topic partition.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "TrustStore",
      "description": "\u003cp\u003eConfigurations related to the TrustStore.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "T0",
      "description": "",
      "moduleId": "lang.array"
    },
    {
      "id": "CallStackElement",
      "description": "\u003cp\u003eRepresentation of \u003ccode\u003eCallStackElement\u003c/code\u003e\u003c/p\u003e\n",
      "moduleId": "lang.error"
    },
    {
      "id": "T1",
      "description": "",
      "moduleId": "lang.map"
    },
    {
      "id": "T2",
      "description": "",
      "moduleId": "lang.stream"
    },
    {
      "id": "T7",
      "description": "",
      "moduleId": "lang.stream"
    },
    {
      "id": "T1",
      "description": "",
      "moduleId": "lang.string"
    },
    {
      "id": "T1",
      "description": "",
      "moduleId": "lang.table"
    },
    {
      "id": "Info",
      "description": "",
      "moduleId": "lang.transaction"
    },
    {
      "id": "TransactionContext",
      "description": "",
      "moduleId": "lang.transaction"
    },
    {
      "id": "T6",
      "description": "",
      "moduleId": "lang.xml"
    },
    {
      "id": "LdapConnection",
      "description": "\u003cp\u003eRepresets the LDAP connection.\u003c/p\u003e",
      "moduleId": "ldap"
    },
    {
      "id": "LdapConnectionConfig",
      "description": "\u003cp\u003eRepresents the configurations that are required for an LDAP auth store.\u003c/p\u003e",
      "moduleId": "ldap"
    },
    {
      "id": "SecureSocket",
      "description": "\u003cp\u003eConfigures the SSL/TLS options to be used for LDAP communication.\u003c/p\u003e",
      "moduleId": "ldap"
    },
    {
      "id": "Options",
      "description": "\u003cp\u003eMySQL database options.\u003c/p\u003e",
      "moduleId": "mysql"
    },
    {
      "id": "SSLConfig",
      "description": "\u003cp\u003eSSL Configuration to be used when connecting to mysql server.\u003c/p\u003e",
      "moduleId": "mysql"
    },
    {
      "id": "ClientCredentialsGrantConfig",
      "description": "\u003cp\u003eThe data structure, which is used to configure the OAuth2 client credentials grant type.\u003c/p\u003e",
      "moduleId": "oauth2"
    },
    {
      "id": "DirectTokenConfig",
      "description": "\u003cp\u003eThe data structure, which is used to configure the OAuth2 access token directly.\u003c/p\u003e",
      "moduleId": "oauth2"
    },
    {
      "id": "DirectTokenRefreshConfig",
      "description": "\u003cp\u003eThe data structure, which can be used to pass the configurations for refreshing the access token directly.\u003c/p\u003e",
      "moduleId": "oauth2"
    },
    {
      "id": "IntrospectionResponse",
      "description": "\u003cp\u003eRepresents the introspection server response.\u003c/p\u003e",
      "moduleId": "oauth2"
    },
    {
      "id": "IntrospectionServerConfig",
      "description": "\u003cp\u003eRepresents the introspection server configurations.\u003c/p\u003e",
      "moduleId": "oauth2"
    },
    {
      "id": "OutboundOAuth2CacheEntry",
      "description": "\u003cp\u003eThe data structure, which stores the values received from the authorization/token server to use them\nfor the latter requests without requesting tokens again.\u003c/p\u003e",
      "moduleId": "oauth2"
    },
    {
      "id": "PasswordGrantConfig",
      "description": "\u003cp\u003eThe data structure, which is used to configure the OAuth2 password grant type.\u003c/p\u003e",
      "moduleId": "oauth2"
    },
    {
      "id": "RefreshConfig",
      "description": "\u003cp\u003eThe data structure, which can be used to pass the configurations for refreshing the access token of\nthe password grant type.\u003c/p\u003e",
      "moduleId": "oauth2"
    },
    {
      "id": "Metric",
      "description": "\u003cp\u003eThis represents the generic metric record that can represent both counter and gauge.\u003c/p\u003e",
      "moduleId": "observe"
    },
    {
      "id": "PercentileValue",
      "description": "\u003cp\u003eThis represents the percentile value record.\u003c/p\u003e",
      "moduleId": "observe"
    },
    {
      "id": "Snapshot",
      "description": "\u003cp\u003eThis represents the snapshot of the statistics calculation of the gauge.\u003c/p\u003e",
      "moduleId": "observe"
    },
    {
      "id": "StatisticConfig",
      "description": "\u003cp\u003eThis represents the statistic configuration that can be used to instatiate gauge metric.\u003c/p\u003e",
      "moduleId": "observe"
    },
    {
      "id": "ClientInformation",
      "description": "\u003cp\u003eConfiguration elements for client code generation.\u003c/p\u003e",
      "moduleId": "openapi"
    },
    {
      "id": "ServiceInformation",
      "description": "\u003cp\u003eService validation codee\u003c/p\u003e\n",
      "moduleId": "openapi"
    },
    {
      "id": "CallStackElement",
      "description": "\u003cp\u003eRepresents a data holder of the current call stack element.\u003c/p\u003e",
      "moduleId": "runtime"
    },
    {
      "id": "InvocationContext",
      "description": "\u003cp\u003eRepresents the \u003ccode\u003eruntime:InvocationContext\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "runtime"
    },
    {
      "id": "BatchExecuteErrorDetail",
      "description": "\u003cp\u003eRepresents the properties belonging to a \u003ccode\u003eBatchExecuteError\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "ConnectionPool",
      "description": "\u003cp\u003eRepresents the properties which are used to configure DB connection pool.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "DatabaseErrorDetail",
      "description": "\u003cp\u003eRepresents the properties belonging to a \u003ccode\u003eDatabaseError\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "ExecutionResult",
      "description": "\u003cp\u003eThe result of the query without returning the rows.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "AppointmentConfiguration",
      "description": "\u003cp\u003eConfigurations related to an appointment, which are used to define the behavior of an appointment when initializing\nthe \u003ccode\u003etask:Listener\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "task"
    },
    {
      "id": "AppointmentData",
      "description": "\u003cp\u003eThe CRON expression required for scheduling an appointment.\u003c/p\u003e",
      "moduleId": "task"
    },
    {
      "id": "TimerConfiguration",
      "description": "\u003cp\u003eConfigurations related to a timer, which are used to define the behavior of a timer when initializing the\n\u003ccode\u003etask:Listener\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "task"
    },
    {
      "id": "AfterGroupsConfig",
      "description": "",
      "moduleId": "test"
    },
    {
      "id": "AfterSuiteConfig",
      "description": "",
      "moduleId": "test"
    },
    {
      "id": "BeforeGroupsConfig",
      "description": "",
      "moduleId": "test"
    },
    {
      "id": "MockConfig",
      "description": "\u003cp\u003eConfiguration of the function to be mocked.\u003c/p\u003e",
      "moduleId": "test"
    },
    {
      "id": "TestConfig",
      "description": "\u003cp\u003eConfiguration set for test functions.\u003c/p\u003e",
      "moduleId": "test"
    },
    {
      "id": "Time",
      "description": "\u003cp\u003eRepresents a particular time with its associated time-zone.\u003c/p\u003e",
      "moduleId": "time"
    },
    {
      "id": "TimeZone",
      "description": "\u003cp\u003eRepresents the time-zone information associated with a particular time.\u003c/p\u003e",
      "moduleId": "time"
    },
    {
      "id": "Info",
      "description": "",
      "moduleId": "transactions"
    },
    {
      "id": "TransactionContext",
      "description": "",
      "moduleId": "transactions"
    },
    {
      "id": "TransactionParticipantConfig",
      "description": "\u003cp\u003eContains the configurations for local transaction participant function.\u003c/p\u003e",
      "moduleId": "transactions"
    },
    {
      "id": "JsonOptions",
      "description": "\u003cp\u003eRepresents a record type to provide configurations for the JSON to XML\nconversion.\u003c/p\u003e",
      "moduleId": "xmlutils"
    }
  ],
  "constants": [
    {
      "id": "DEFAULT_CHARSET",
      "description": "\u003cp\u003eDefault charset to be used with password hashing.\u003c/p\u003e",
      "moduleId": "auth"
    },
    {
      "id": "CONFIG_PREFIX",
      "description": "\u003cp\u003ePrefix used to denote special configuration values.\u003c/p\u003e",
      "moduleId": "auth"
    },
    {
      "id": "CONFIG_PREFIX_SHA256",
      "description": "\u003cp\u003ePrefix used to denote that the config value is a SHA-256 hash.\u003c/p\u003e",
      "moduleId": "auth"
    },
    {
      "id": "CONFIG_PREFIX_SHA384",
      "description": "\u003cp\u003ePrefix used to denote that the config value is a SHA-384 hash.\u003c/p\u003e",
      "moduleId": "auth"
    },
    {
      "id": "CONFIG_PREFIX_SHA512",
      "description": "\u003cp\u003ePrefix used to denote that the config value is a SHA-512 hash.\u003c/p\u003e",
      "moduleId": "auth"
    },
    {
      "id": "AUTH_SCHEME_BASIC",
      "description": "\u003cp\u003ePrefix used to denote Basic Authentication scheme.\u003c/p\u003e",
      "moduleId": "auth"
    },
    {
      "id": "AUTH_SCHEME_BEARER",
      "description": "\u003cp\u003eThe prefix used to denote the Bearer Authentication scheme.\u003c/p\u003e",
      "moduleId": "auth"
    },
    {
      "id": "RSA",
      "description": "\u003cp\u003eThe \u003ccode\u003eRSA\u003c/code\u003e algorithm.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "NONE",
      "description": "\u003cp\u003eNo padding.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "PKCS1",
      "description": "\u003cp\u003eThe \u003ccode\u003ePKCS1\u003c/code\u003e padding mode.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "PKCS5",
      "description": "\u003cp\u003eThe \u003ccode\u003ePKCS5\u003c/code\u003e padding mode.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "OAEPwithMD5andMGF1",
      "description": "\u003cp\u003eThe \u003ccode\u003eOAEPwithMD5andMGF1\u003c/code\u003e padding mode.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "OAEPWithSHA1AndMGF1",
      "description": "\u003cp\u003eThe \u003ccode\u003eOAEPWithSHA1AndMGF1\u003c/code\u003e padding mode.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "OAEPWithSHA256AndMGF1",
      "description": "\u003cp\u003eThe \u003ccode\u003eOAEPWithSHA256AndMGF1\u003c/code\u003e padding mode.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "OAEPwithSHA384andMGF1",
      "description": "\u003cp\u003eThe \u003ccode\u003eOAEPwithSHA384andMGF1\u003c/code\u003e padding mode.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "OAEPwithSHA512andMGF1",
      "description": "\u003cp\u003eThe \u003ccode\u003eOAEPwithSHA512andMGF1\u003c/code\u003e padding mode.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "DEFAULT_FOLDER",
      "description": "\u003cp\u003eDefault folder to read emails.\u003c/p\u003e",
      "moduleId": "email"
    },
    {
      "id": "OK",
      "description": "\u003cp\u003eThe gRPC error status code: 0 OK.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "CANCELED",
      "description": "\u003cp\u003eThe gRPC error status code: 1 Canceled.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "UNKNOWN",
      "description": "\u003cp\u003eThe gRPC error status code: 2 Unknown.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "INVALID_ARGUMENT",
      "description": "\u003cp\u003eThe gRPC error status code: 3 Invalid Argument.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "DEADLINE_EXCEEDED",
      "description": "\u003cp\u003eThe gRPC error status code: 4 Deadline Exceeded.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "NOT_FOUND",
      "description": "\u003cp\u003eThe gRPC error status code: 5 Not Found.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "ALREADY_EXISTS",
      "description": "\u003cp\u003eThe gRPC error status code: 6 Already Exists.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "PERMISSION_DENIED",
      "description": "\u003cp\u003eThe gRPC error status code: 7 Permission Denied.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "RESOURCE_EXHAUSTED",
      "description": "\u003cp\u003eThe gRPC error status code: 8 Resource Exhausted.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "FAILED_PRECONDITION",
      "description": "\u003cp\u003eThe gRPC error status code: 9 Failed Precondition.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "ABORTED",
      "description": "\u003cp\u003eThe gRPC error status code: 10 Aborted.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "OUT_OF_RANGE",
      "description": "\u003cp\u003eThe gRPC error status code: 11 Out of Range.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "UNIMPLEMENTED",
      "description": "\u003cp\u003eThe gRPC error status code: 12 Unimplemented.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "INTERNAL",
      "description": "\u003cp\u003eThe gRPC error status code: 13 Internal.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "UNAVAILABLE",
      "description": "\u003cp\u003eThe gRPC error status code: 14 Unavailable.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "DATA_LOSS",
      "description": "\u003cp\u003eThe gRPC error status code: 15 Data Loss.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "UNAUTHENTICATED",
      "description": "\u003cp\u003eThe gRPC error status code: 16 Unauthenticated.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "COMPRESSION_AUTO",
      "description": "\u003cp\u003eWhen service behaves as a HTTP gateway inbound request/response accept-encoding option is set as the\noutbound request/response accept-encoding/content-encoding option.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "COMPRESSION_ALWAYS",
      "description": "\u003cp\u003eAlways set accept-encoding/content-encoding in outbound request/response.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "COMPRESSION_NEVER",
      "description": "\u003cp\u003eNever set accept-encoding/content-encoding header in outbound request/response.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "AUTH_HEADER",
      "description": "\u003cp\u003eRepresents the Authorization header name.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "AUTH_HEADER_BEARER",
      "description": "\u003cp\u003eIndicates that the authentication credentials should be sent via the Authentication header.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "POST_BODY_BEARER",
      "description": "\u003cp\u003eIndicates that the Authentication credentials should be sent via the body of the POST request.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "NO_BEARER",
      "description": "\u003cp\u003eIndicates that the authentication credentials should not be sent.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "STATUS_CODE",
      "description": "\u003cp\u003eIndicates the status code.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "NO_CACHE",
      "description": "\u003cp\u003eForces the cache to validate a cached response with the origin server before serving.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "NO_STORE",
      "description": "\u003cp\u003eInstructs the cache to not store a response in non-volatile storage.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "NO_TRANSFORM",
      "description": "\u003cp\u003eInstructs intermediaries not to transform the payload.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "MAX_AGE",
      "description": "\u003cp\u003eWhen used in requests, \u003ccode\u003emax-age\u003c/code\u003e implies that clients are not willing to accept responses whose age is greater\nthan \u003ccode\u003emax-age\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "MAX_STALE",
      "description": "\u003cp\u003eIndicates that the client is willing to accept responses which have exceeded their freshness lifetime by no more\nthan the specified number of seconds.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "MIN_FRESH",
      "description": "\u003cp\u003eIndicates that the client is only accepting responses whose freshness lifetime \u0026gt;\u003d current age + min-fresh.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "ONLY_IF_CACHED",
      "description": "\u003cp\u003eIndicates that the client is only willing to accept a cached response.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "MUST_REVALIDATE",
      "description": "\u003cp\u003eIndicates that once the response has become stale, it should not be reused for subsequent requests without\nvalidating with the origin server.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "PUBLIC",
      "description": "\u003cp\u003eIndicates that any cache may store the response.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "PRIVATE",
      "description": "\u003cp\u003eIndicates that the response is intended for a single user and should not be stored by shared caches.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "PROXY_REVALIDATE",
      "description": "\u003cp\u003eHas the same semantics as \u003ccode\u003emust-revalidate\u003c/code\u003e, except that this does not apply to private caches.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "S_MAX_AGE",
      "description": "\u003cp\u003eIn shared caches, \u003ccode\u003es-maxage\u003c/code\u003e overrides the \u003ccode\u003emax-age\u003c/code\u003e or \u003ccode\u003eexpires\u003c/code\u003e header field.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "MAX_STALE_ANY_AGE",
      "description": "\u003cp\u003eSetting this as the \u003ccode\u003emax-stale\u003c/code\u003e directives indicates that the \u003ccode\u003emax-stale\u003c/code\u003e directive does not specify a limit.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "CACHE_CONTROL_AND_VALIDATORS",
      "description": "\u003cp\u003eThis is a more restricted mode of RFC 7234.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "RFC_7234",
      "description": "\u003cp\u003eCaching behaviour is as specified by the RFC 7234 specification.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "MULTIPART_AS_PRIMARY_TYPE",
      "description": "\u003cp\u003eRepresents multipart primary type\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "HTTP_FORWARD",
      "description": "\u003cp\u003eConstant for the HTTP FORWARD method\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "HTTP_GET",
      "description": "\u003cp\u003eConstant for the HTTP GET method\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "HTTP_POST",
      "description": "\u003cp\u003eConstant for the HTTP POST method\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "HTTP_DELETE",
      "description": "\u003cp\u003eConstant for the HTTP DELETE method\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "HTTP_OPTIONS",
      "description": "\u003cp\u003eConstant for the HTTP OPTIONS method\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "HTTP_PUT",
      "description": "\u003cp\u003eConstant for the HTTP PUT method\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "HTTP_PATCH",
      "description": "\u003cp\u003eConstant for the HTTP PATCH method\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "HTTP_HEAD",
      "description": "\u003cp\u003eConstant for the HTTP HEAD method\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "HTTP_SUBMIT",
      "description": "\u003cp\u003econstant for the HTTP SUBMIT method\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "HTTP_NONE",
      "description": "\u003cp\u003eConstant for the identify not an HTTP Operation\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "CHUNKING_AUTO",
      "description": "\u003cp\u003eIf the payload is less than 8KB, content-length header is set in the outbound request/response,\notherwise chunking header is set in the outbound request/response.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "CHUNKING_ALWAYS",
      "description": "\u003cp\u003eAlways set chunking header in the response.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "CHUNKING_NEVER",
      "description": "\u003cp\u003eNever set the chunking header even if the payload is larger than 8KB in the outbound request/response.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "COMPRESSION_AUTO",
      "description": "\u003cp\u003eWhen service behaves as a HTTP gateway inbound request/response accept-encoding option is set as the\noutbound request/response accept-encoding/content-encoding option.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "COMPRESSION_ALWAYS",
      "description": "\u003cp\u003eAlways set accept-encoding/content-encoding in outbound request/response.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "COMPRESSION_NEVER",
      "description": "\u003cp\u003eNever set accept-encoding/content-encoding header in outbound request/response.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "REDIRECT_MULTIPLE_CHOICES_300",
      "description": "\u003cp\u003eRepresents the HTTP redirect status code \u003ccode\u003e300 - Multiple Choices\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "REDIRECT_MOVED_PERMANENTLY_301",
      "description": "\u003cp\u003eRepresents the HTTP redirect status code \u003ccode\u003e301 - Moved Permanently\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "REDIRECT_FOUND_302",
      "description": "\u003cp\u003eRepresents the HTTP redirect status code \u003ccode\u003e302 - Found\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "REDIRECT_SEE_OTHER_303",
      "description": "\u003cp\u003eRepresents the HTTP redirect status code \u003ccode\u003e303 - See Other\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "REDIRECT_NOT_MODIFIED_304",
      "description": "\u003cp\u003eRepresents the HTTP redirect status code \u003ccode\u003e304 - Not Modified\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "REDIRECT_USE_PROXY_305",
      "description": "\u003cp\u003eRepresents the HTTP redirect status code \u003ccode\u003e305 - Use Proxy\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "REDIRECT_TEMPORARY_REDIRECT_307",
      "description": "\u003cp\u003eRepresents the HTTP redirect status code \u003ccode\u003e307 - Temporary Redirect\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "REDIRECT_PERMANENT_REDIRECT_308",
      "description": "\u003cp\u003eRepresents the HTTP redirect status code \u003ccode\u003e308 - Permanent Redirect\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "AGE",
      "description": "\u003cp\u003eHTTP header key \u003ccode\u003eage\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "AUTHORIZATION",
      "description": "\u003cp\u003eHTTP header key \u003ccode\u003eauthorization\u003c/code\u003e\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "CACHE_CONTROL",
      "description": "\u003cp\u003eHTTP header key \u003ccode\u003ecache-control\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "CONTENT_LENGTH",
      "description": "\u003cp\u003eHTTP header key \u003ccode\u003econtent-length\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "CONTENT_TYPE",
      "description": "\u003cp\u003eHTTP header key \u003ccode\u003econtent-type\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "DATE",
      "description": "\u003cp\u003eHTTP header key \u003ccode\u003edate\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "ETAG",
      "description": "\u003cp\u003eHTTP header key \u003ccode\u003eetag\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "EXPECT",
      "description": "\u003cp\u003eHTTP header key \u003ccode\u003eexpect\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "EXPIRES",
      "description": "\u003cp\u003eHTTP header key \u003ccode\u003eexpires\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "IF_MATCH",
      "description": "\u003cp\u003eHTTP header key \u003ccode\u003eif-match\u003c/code\u003e\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "IF_MODIFIED_SINCE",
      "description": "\u003cp\u003eHTTP header key \u003ccode\u003eif-modified-since\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "IF_NONE_MATCH",
      "description": "\u003cp\u003eHTTP header key \u003ccode\u003eif-none-match\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "IF_RANGE",
      "description": "\u003cp\u003eHTTP header key \u003ccode\u003eif-range\u003c/code\u003e\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "IF_UNMODIFIED_SINCE",
      "description": "\u003cp\u003eHTTP header key \u003ccode\u003eif-unmodified-since\u003c/code\u003e\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "LAST_MODIFIED",
      "description": "\u003cp\u003eHTTP header key \u003ccode\u003elast-modified\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "LOCATION",
      "description": "\u003cp\u003eHTTP header key \u003ccode\u003elocation\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "PRAGMA",
      "description": "\u003cp\u003eHTTP header key \u003ccode\u003epragma\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "PROXY_AUTHORIZATION",
      "description": "\u003cp\u003eHTTP header key \u003ccode\u003eproxy-authorization\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "SERVER",
      "description": "\u003cp\u003eHTTP header key \u003ccode\u003eserver\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "WARNING",
      "description": "\u003cp\u003eHTTP header key \u003ccode\u003ewarning\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "TRANSFER_ENCODING",
      "description": "\u003cp\u003eHTTP header key \u003ccode\u003etransfer-encoding\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "CONNECTION",
      "description": "\u003cp\u003eHTTP header key \u003ccode\u003econnection\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "UPGRADE",
      "description": "\u003cp\u003eHTTP header key \u003ccode\u003eupgrade\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "PASSED",
      "description": "\u003cp\u003eMutual SSL handshake is successful.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "FAILED",
      "description": "\u003cp\u003eMutual SSL handshake has failed.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "NONE",
      "description": "\u003cp\u003eNot a mutual ssl connection.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "CB_OPEN_STATE",
      "description": "\u003cp\u003eRepresents the open state of the circuit.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "CB_HALF_OPEN_STATE",
      "description": "\u003cp\u003eRepresents the half-open state of the circuit.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "CB_CLOSED_STATE",
      "description": "\u003cp\u003eRepresents the closed state of the circuit.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "STATUS_CONTINUE",
      "description": "\u003cp\u003eThe HTTP response status code: 100 Continue\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_SWITCHING_PROTOCOLS",
      "description": "\u003cp\u003eThe HTTP response status code: 101 Switching Protocols\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_OK",
      "description": "\u003cp\u003eThe HTTP response status code: 200 OK\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_CREATED",
      "description": "\u003cp\u003eThe HTTP response status code: 201 Created\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_ACCEPTED",
      "description": "\u003cp\u003eThe HTTP response status code: 202 Accepted\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_NON_AUTHORITATIVE_INFORMATION",
      "description": "\u003cp\u003eThe HTTP response status code: 203 Non Authoritative Information\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_NO_CONTENT",
      "description": "\u003cp\u003eThe HTTP response status code: 204 No Content\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_RESET_CONTENT",
      "description": "\u003cp\u003eThe HTTP response status code: 205 Reset Content\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_PARTIAL_CONTENT",
      "description": "\u003cp\u003eThe HTTP response status code: 206 Partial Content\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_MULTIPLE_CHOICES",
      "description": "\u003cp\u003eThe HTTP response status code: 300 Multiple Choices\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_MOVED_PERMANENTLY",
      "description": "\u003cp\u003eThe HTTP response status code: 301 Moved Permanently\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_FOUND",
      "description": "\u003cp\u003eThe HTTP response status code: 302 Found\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_SEE_OTHER",
      "description": "\u003cp\u003eThe HTTP response status code: 303 See Other\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_NOT_MODIFIED",
      "description": "\u003cp\u003eThe HTTP response status code: 304 Not Modified\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_USE_PROXY",
      "description": "\u003cp\u003eThe HTTP response status code: 305 Use Proxy\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_TEMPORARY_REDIRECT",
      "description": "\u003cp\u003eThe HTTP response status code: 307 Temporary Redirect\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_PERMANENT_REDIRECT",
      "description": "\u003cp\u003eThe HTTP response status code: 308 Permanent Redirect\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_BAD_REQUEST",
      "description": "\u003cp\u003eThe HTTP response status code: 400 Bad Request\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_UNAUTHORIZED",
      "description": "\u003cp\u003eThe HTTP response status code: 401 Unauthorized\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_PAYMENT_REQUIRED",
      "description": "\u003cp\u003eThe HTTP response status code: 402 Payment Required\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_FORBIDDEN",
      "description": "\u003cp\u003eThe HTTP response status code: 403 Forbidden\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_NOT_FOUND",
      "description": "\u003cp\u003eThe HTTP response status code: 404 Not Found\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_METHOD_NOT_ALLOWED",
      "description": "\u003cp\u003eThe HTTP response status code: 405 Method Not Allowed\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_NOT_ACCEPTABLE",
      "description": "\u003cp\u003eThe HTTP response status code: 406 Not Acceptable\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_PROXY_AUTHENTICATION_REQUIRED",
      "description": "\u003cp\u003eThe HTTP response status code: 407 Proxy Authentication Required\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_REQUEST_TIMEOUT",
      "description": "\u003cp\u003eThe HTTP response status code: 408 Request Timeout\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_CONFLICT",
      "description": "\u003cp\u003eThe HTTP response status code: 409 Conflict\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_GONE",
      "description": "\u003cp\u003eThe HTTP response status code: 410 Gone\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_LENGTH_REQUIRED",
      "description": "\u003cp\u003eThe HTTP response status code: 411 Length Required\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_PRECONDITION_FAILED",
      "description": "\u003cp\u003eThe HTTP response status code: 412 Precondition Failed\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_PAYLOAD_TOO_LARGE",
      "description": "\u003cp\u003eThe HTTP response status code: 413 Payload Too Large\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_URI_TOO_LONG",
      "description": "\u003cp\u003eThe HTTP response status code: 414 URI Too Long\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_UNSUPPORTED_MEDIA_TYPE",
      "description": "\u003cp\u003eThe HTTP response status code: 415 Unsupported Media Type\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_RANGE_NOT_SATISFIABLE",
      "description": "\u003cp\u003eThe HTTP response status code: 416 Range Not Satisfiable\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_EXPECTATION_FAILED",
      "description": "\u003cp\u003eThe HTTP response status code: 417 Expectation Failed\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_UPGRADE_REQUIRED",
      "description": "\u003cp\u003eThe HTTP response status code: 426 Upgrade Required\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_INTERNAL_SERVER_ERROR",
      "description": "\u003cp\u003eThe HTTP response status code: 500 Internal Server Error\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_NOT_IMPLEMENTED",
      "description": "\u003cp\u003eThe HTTP response status code: 501 Not Implemented\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_BAD_GATEWAY",
      "description": "\u003cp\u003eThe HTTP response status code: 502 Bad Gateway\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_SERVICE_UNAVAILABLE",
      "description": "\u003cp\u003eThe HTTP response status code: 503 Service Unavailable\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_GATEWAY_TIMEOUT",
      "description": "\u003cp\u003eThe HTTP response status code: 504 Gateway Timeout\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "STATUS_HTTP_VERSION_NOT_SUPPORTED",
      "description": "\u003cp\u003eThe HTTP response status code: 505 HTTP Version Not Supported\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "KEEPALIVE_AUTO",
      "description": "\u003cp\u003eDecides to keep the connection alive or not based on the \u003ccode\u003econnection\u003c/code\u003e header of the client request }\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "KEEPALIVE_ALWAYS",
      "description": "\u003cp\u003eKeeps the connection alive irrespective of the \u003ccode\u003econnection\u003c/code\u003e header value }\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "KEEPALIVE_NEVER",
      "description": "\u003cp\u003eCloses the connection irrespective of the \u003ccode\u003econnection\u003c/code\u003e header value }\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "SERVICE_NAME",
      "description": "\u003cp\u003eConstant for the service name reference.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "RESOURCE_NAME",
      "description": "\u003cp\u003eConstant for the resource name reference.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "REQUEST_METHOD",
      "description": "\u003cp\u003eConstant for the request method reference.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "DEFAULT",
      "description": "\u003cp\u003eDefault value is the format specified by the CSVChannel.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "CSV",
      "description": "\u003cp\u003eField separator will be \u0026quot;,\u0026quot; and the record separator will be a new line.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "TDF",
      "description": "\u003cp\u003eField separator will be a tab and the record separator will be a new line.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "COMMA",
      "description": "\u003cp\u003eComma (,) will be used as the field separator.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "TAB",
      "description": "\u003cp\u003eTab (/t) will be use as the field separator.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "COLON",
      "description": "\u003cp\u003eColon (:) will be use as the field separator.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "CSV_RECORD_SEPARATOR",
      "description": "\u003cp\u003eRepresents the record separator of the CSV file.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "FS_COLON",
      "description": "\u003cp\u003eRepresents the colon separator, which should be used to identify colon-separated files.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "MINIMUM_HEADER_COUNT",
      "description": "\u003cp\u003eRepresents the minimum number of headers, which will be included in the CSV.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "BIG_ENDIAN",
      "description": "\u003cp\u003eSpecifies the bytes to be in the order of most significant byte first.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "LITTLE_ENDIAN",
      "description": "\u003cp\u003eSpecifies the byte order to be the least significant byte first.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "DES_BYTE_ARRAY",
      "description": "\u003cp\u003eIn-built Kafka byte array deserializer.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "DES_STRING",
      "description": "\u003cp\u003eIn-built Kafka string deserializer.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "DES_INT",
      "description": "\u003cp\u003eIn-built Kafka int deserializer.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "DES_FLOAT",
      "description": "\u003cp\u003eIn-built Kafka float deserializer.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "DES_CUSTOM",
      "description": "\u003cp\u003eUser-defined deserializer.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "DES_AVRO",
      "description": "\u003cp\u003eApache Avro deserializer.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "ISOLATION_COMMITTED",
      "description": "\u003cp\u003eConfigures the consumer to read the committed messages only in the transactional mode when poll() is called.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "ISOLATION_UNCOMMITTED",
      "description": "\u003cp\u003eConfigures the consumer to read all the messages including the aborted ones.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "ACKS_ALL",
      "description": "\u003cp\u003eProducer acknowledgement type is \u0027all\u0027.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "ACKS_NONE",
      "description": "\u003cp\u003eProducer acknowledgement type \u00270\u0027.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "ACKS_SINGLE",
      "description": "\u003cp\u003eProducer acknowledgement type \u00271\u0027.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "SER_BYTE_ARRAY",
      "description": "\u003cp\u003eIn-built Kafka Byte Array serializer.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "SER_STRING",
      "description": "\u003cp\u003eIn-built Kafka string serializer.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "SER_INT",
      "description": "\u003cp\u003eIn-built Kafka int serializer.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "SER_FLOAT",
      "description": "\u003cp\u003eIn-built Kafka float serializer.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "SER_CUSTOM",
      "description": "\u003cp\u003eUser-defined serializer.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "SER_AVRO",
      "description": "\u003cp\u003eApache Avro serializer.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "COMPRESSION_NONE",
      "description": "\u003cp\u003eNo compression.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "COMPRESSION_GZIP",
      "description": "\u003cp\u003eKafka GZIP compression type.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "COMPRESSION_SNAPPY",
      "description": "\u003cp\u003eKafka Snappy compression type.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "COMPRESSION_LZ4",
      "description": "\u003cp\u003eKafka LZ4 compression type.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "COMPRESSION_ZSTD",
      "description": "\u003cp\u003eKafka ZSTD compression type.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "AUTH_SASL_PLAIN",
      "description": "\u003cp\u003eKafka SASL_PLAIN authentication mechanism\u003c/p\u003e\n",
      "moduleId": "kafka"
    },
    {
      "id": "PROTOCOL_SASL_PLAINTEXT",
      "description": "",
      "moduleId": "kafka"
    },
    {
      "id": "PROTOCOL_SASL_SSL",
      "description": "",
      "moduleId": "kafka"
    },
    {
      "id": "PI",
      "description": "\u003cp\u003eThe number π\u003c/p\u003e\n",
      "moduleId": "lang.float"
    },
    {
      "id": "E",
      "description": "\u003cp\u003eEuler\u0027s number\u003c/p\u003e\n",
      "moduleId": "lang.float"
    },
    {
      "id": "NaN",
      "description": "\u003cp\u003eIEEE not-a-number value\u003c/p\u003e\n",
      "moduleId": "lang.float"
    },
    {
      "id": "Infinity",
      "description": "\u003cp\u003eIEEE positive infinity\u003c/p\u003e\n",
      "moduleId": "lang.float"
    },
    {
      "id": "MAX_VALUE",
      "description": "\u003cp\u003eMaximum value of type \u003ccode\u003eint\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.int"
    },
    {
      "id": "MIN_VALUE",
      "description": "\u003cp\u003eMinimum value of type \u003ccode\u003eint\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.int"
    },
    {
      "id": "SIGNED32_MAX_VALUE",
      "description": "\u003cp\u003eMaximum value of type \u003ccode\u003eSigned32\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.int"
    },
    {
      "id": "SIGNED32_MIN_VALUE",
      "description": "\u003cp\u003eMinimum value of type \u003ccode\u003eSigned32\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.int"
    },
    {
      "id": "SIGNED16_MAX_VALUE",
      "description": "\u003cp\u003eMaximum value of type \u003ccode\u003eSigned16\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.int"
    },
    {
      "id": "SIGNED16_MIN_VALUE",
      "description": "\u003cp\u003eMinimum value of type \u003ccode\u003eSigned16\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.int"
    },
    {
      "id": "SIGNED8_MAX_VALUE",
      "description": "\u003cp\u003eMaximum value of type \u003ccode\u003eSigned8\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.int"
    },
    {
      "id": "SIGNED8_MIN_VALUE",
      "description": "\u003cp\u003eMinimum value of type \u003ccode\u003eSigned8\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.int"
    },
    {
      "id": "UNSIGNED32_MAX_VALUE",
      "description": "\u003cp\u003eMaximum value of type \u003ccode\u003eUnsigned32\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.int"
    },
    {
      "id": "UNSIGNED16_MAX_VALUE",
      "description": "\u003cp\u003eMaximum value of type \u003ccode\u003eUnsigned16\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.int"
    },
    {
      "id": "UNSIGNED8_MAX_VALUE",
      "description": "\u003cp\u003eMaximum value of type \u003ccode\u003eUnsigned8\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.int"
    },
    {
      "id": "OUTCOME_COMMITTED",
      "description": "",
      "moduleId": "lang.transaction"
    },
    {
      "id": "TWO_PHASE_COMMIT",
      "description": "",
      "moduleId": "lang.transaction"
    },
    {
      "id": "XML_NAMESPACE_URI",
      "description": "\u003cp\u003eThe namespace URI bound to the \u003ccode\u003exml\u003c/code\u003e prefix.\u003c/p\u003e",
      "moduleId": "lang.xml"
    },
    {
      "id": "XMLNS_NAMESPACE_URI",
      "description": "\u003cp\u003eThe namespace URI bound to the \u003ccode\u003exmlns\u003c/code\u003e prefix.\u003c/p\u003e",
      "moduleId": "lang.xml"
    },
    {
      "id": "space",
      "description": "\u003cp\u003eThe expanded name of the \u003ccode\u003exml:space\u003c/code\u003e attribute.\u003c/p\u003e",
      "moduleId": "lang.xml"
    },
    {
      "id": "lang",
      "description": "\u003cp\u003eThe expanded name of the \u003ccode\u003exml:lang\u003c/code\u003e attribute.\u003c/p\u003e",
      "moduleId": "lang.xml"
    },
    {
      "id": "base",
      "description": "\u003cp\u003eThe expanded name of the \u003ccode\u003exml:base\u003c/code\u003e attribute.\u003c/p\u003e",
      "moduleId": "lang.xml"
    },
    {
      "id": "DEBUG",
      "description": "",
      "moduleId": "log"
    },
    {
      "id": "ERROR",
      "description": "",
      "moduleId": "log"
    },
    {
      "id": "INFO",
      "description": "",
      "moduleId": "log"
    },
    {
      "id": "TRACE",
      "description": "",
      "moduleId": "log"
    },
    {
      "id": "WARN",
      "description": "",
      "moduleId": "log"
    },
    {
      "id": "ALL",
      "description": "",
      "moduleId": "log"
    },
    {
      "id": "OFF",
      "description": "",
      "moduleId": "log"
    },
    {
      "id": "PI",
      "description": "\u003cp\u003eRatio of the circumference of a circle to its diameter.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "E",
      "description": "\u003cp\u003eBase of the natural logarithms.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "LEADING",
      "description": "\u003cp\u003eHeader is placed before the payload of the request/response.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "TRAILING",
      "description": "\u003cp\u003eHeader is placed after the payload of the request/response.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "APPLICATION_OCTET_STREAM",
      "description": "\u003cp\u003eRepresents the \u003ccode\u003eapplication/octet-stream\u003c/code\u003e media type.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "APPLICATION_JSON",
      "description": "\u003cp\u003eRepresents the \u003ccode\u003eapplication/json\u003c/code\u003e media type.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "APPLICATION_XML",
      "description": "\u003cp\u003eRepresents the \u003ccode\u003eapplication/xml\u003c/code\u003e media type.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "APPLICATION_SVG_XML",
      "description": "\u003cp\u003eRepresents the \u003ccode\u003eapplication/svg+xml\u003c/code\u003e media type.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "APPLICATION_XHTML_XML",
      "description": "\u003cp\u003eRepresents the \u003ccode\u003eapplication/xhtml+xml\u003c/code\u003e media type.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "APPLICATION_SOAP_XML",
      "description": "\u003cp\u003eRepresents the \u003ccode\u003eapplication/soap+xml\u003c/code\u003e media type.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "APPLICATION_FORM_URLENCODED",
      "description": "\u003cp\u003eRepresents the \u003ccode\u003eapplication/x-www-form-urlencoded\u003c/code\u003e media type.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "APPLICATION_PDF",
      "description": "\u003cp\u003eRepresents the \u003ccode\u003eapplication/pdf\u003c/code\u003e media type.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "IMAGE_JPEG",
      "description": "\u003cp\u003eRepresents the \u003ccode\u003eimage/jpeg\u003c/code\u003e media type.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "IMAGE_GIF",
      "description": "\u003cp\u003eRepresents the \u003ccode\u003eimage/gif\u003c/code\u003e media type.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "IMAGE_PNG",
      "description": "\u003cp\u003eRepresents the \u003ccode\u003eimage/png\u003c/code\u003e media type.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "MULTIPART_FORM_DATA",
      "description": "\u003cp\u003eRepresents the \u003ccode\u003emultipart/form-data\u003c/code\u003e media type.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "MULTIPART_MIXED",
      "description": "\u003cp\u003eRepresents the \u003ccode\u003emultipart/mixed\u003c/code\u003e media type.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "MULTIPART_ALTERNATIVE",
      "description": "\u003cp\u003eRepresents the \u003ccode\u003emultipart/alternative\u003c/code\u003e media type.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "MULTIPART_RELATED",
      "description": "\u003cp\u003eRepresents the \u003ccode\u003emultipart/related\u003c/code\u003e media type.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "MULTIPART_PARALLEL",
      "description": "\u003cp\u003eRepresents the \u003ccode\u003emultipart/parallel\u003c/code\u003e media type.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "TEXT_PLAIN",
      "description": "\u003cp\u003eRepresents the \u003ccode\u003etext/plain\u003c/code\u003e media type.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "TEXT_HTML",
      "description": "\u003cp\u003eRepresents the \u003ccode\u003etext/html\u003c/code\u003e media type.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "TEXT_XML",
      "description": "\u003cp\u003eRepresents the \u003ccode\u003etext/xml\u003c/code\u003e media type.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "BOUNDARY",
      "description": "\u003cp\u003eKey name for \u003ccode\u003eboundary\u003c/code\u003e parameter in MediaType.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "START",
      "description": "\u003cp\u003eKey name for \u003ccode\u003estart\u003c/code\u003e parameter in MediaType.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "TYPE",
      "description": "\u003cp\u003eKey name for \u003ccode\u003etype\u003c/code\u003e parameter in MediaType.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "CHARSET",
      "description": "\u003cp\u003eKey name for \u003ccode\u003echarset\u003c/code\u003e parameter in MediaType.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "DEFAULT_CHARSET",
      "description": "\u003cp\u003eDefault charset to be used with MIME encoding and decoding.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "CONTENT_ID",
      "description": "\u003cp\u003eRepresents \u003ccode\u003econtent-id\u003c/code\u003e header name.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "CONTENT_LENGTH",
      "description": "\u003cp\u003eRepresents \u003ccode\u003econtent-length\u003c/code\u003e header name.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "CONTENT_TYPE",
      "description": "\u003cp\u003eRepresents \u003ccode\u003econtent-type\u003c/code\u003e header name.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "CONTENT_DISPOSITION",
      "description": "\u003cp\u003eRepresents \u003ccode\u003econtent-disposition\u003c/code\u003e header name.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "SSL_PREFERRED",
      "description": "\u003cp\u003ePossible options for SSL Mode.\u003c/p\u003e",
      "moduleId": "mysql"
    },
    {
      "id": "SSL_REQUIRED",
      "description": "",
      "moduleId": "mysql"
    },
    {
      "id": "SSL_VERIFY_CERT",
      "description": "",
      "moduleId": "mysql"
    },
    {
      "id": "SSL_VERIFY_IDENTITY",
      "description": "",
      "moduleId": "mysql"
    },
    {
      "id": "SUCCESS_NO_INFO",
      "description": "\u003cp\u003eConstant indicating that the specific batch statement executed successfully\nbut that no count of the number of rows it affected is available.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "EXECUTION_FAILED",
      "description": "\u003cp\u003eConstant indicating that the specific batch statement failed.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "ANY",
      "description": "\u003cp\u003eRepresents the placeholder to be given for object or record type arguments\u003c/p\u003e\n",
      "moduleId": "test"
    },
    {
      "id": "INVALID_OBJECT_ERROR",
      "description": "\u003cp\u003eRepresents the reason for the mock object related errors.\u003c/p\u003e",
      "moduleId": "test"
    },
    {
      "id": "FUNCTION_NOT_FOUND_ERROR",
      "description": "\u003cp\u003eRepresents the reason for the non-existing member function related errors.\u003c/p\u003e",
      "moduleId": "test"
    },
    {
      "id": "FUNCTION_SIGNATURE_MISMATCH_ERROR",
      "description": "\u003cp\u003eRepresents the reason for the function signature related errors.\u003c/p\u003e",
      "moduleId": "test"
    },
    {
      "id": "INVALID_MEMBER_FIELD_ERROR",
      "description": "\u003cp\u003eRepresents the reason for the object member field related errors.\u003c/p\u003e",
      "moduleId": "test"
    },
    {
      "id": "FUNCTION_CALL_ERROR",
      "description": "\u003cp\u003eRepresents the reason for function mocking related errors.\u003c/p\u003e",
      "moduleId": "test"
    },
    {
      "id": "TIME_FORMAT_RFC_1123",
      "description": "\u003cp\u003eSpecifies the time format defined by the RFC-1123.\u003c/p\u003e",
      "moduleId": "time"
    },
    {
      "id": "OUTCOME_COMMITTED",
      "description": "",
      "moduleId": "transactions"
    },
    {
      "id": "TWO_PHASE_COMMIT",
      "description": "",
      "moduleId": "transactions"
    }
  ],
  "errors": [
    {
      "id": "AuthError",
      "description": "\u003cp\u003eRepresents the Auth error.\u003c/p\u003e",
      "moduleId": "auth"
    },
    {
      "id": "CacheError",
      "description": "\u003cp\u003eRepresents the Cache error type with details.\u003c/p\u003e",
      "moduleId": "cache"
    },
    {
      "id": "CryptoError",
      "description": "\u003cp\u003eRepresents the Crypto error.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "error",
      "description": "\u003cp\u003eRepresents an error that occurs when the email store access fails.\u003c/p\u003e",
      "moduleId": "email"
    },
    {
      "id": "error",
      "description": "\u003cp\u003eRepresents an error that occurs an email read operation fails.\u003c/p\u003e",
      "moduleId": "email"
    },
    {
      "id": "error",
      "description": "\u003cp\u003eRepresents an error that occurs when sending an email fails.\u003c/p\u003e",
      "moduleId": "email"
    },
    {
      "id": "FileNotFoundError",
      "description": "\u003cp\u003eRepresents an error that occurs when the file/directory does not exist at the given filepath.\u003c/p\u003e",
      "moduleId": "file"
    },
    {
      "id": "FileSystemError",
      "description": "\u003cp\u003eRepresents an error that occurs when a file system operation fails.\u003c/p\u003e",
      "moduleId": "file"
    },
    {
      "id": "InvalidOperationError",
      "description": "\u003cp\u003eRepresents an error that occurs when a file system operation is denied due to invalidity.\u003c/p\u003e",
      "moduleId": "file"
    },
    {
      "id": "PermissionError",
      "description": "\u003cp\u003eRepresents an error that occurs when a file system operation is denied, due to the absence of file permission.\u003c/p\u003e",
      "moduleId": "file"
    },
    {
      "id": "FileNotFoundError",
      "description": "\u003cp\u003eRepresents error occur when the file/directory does not exist at the given filepath.\u003c/p\u003e",
      "moduleId": "filepath"
    },
    {
      "id": "GenericError",
      "description": "\u003cp\u003eRepresents generic error for filepath\u003c/p\u003e\n",
      "moduleId": "filepath"
    },
    {
      "id": "IOError",
      "description": "\u003cp\u003eRepresents IO error occur when trying to access the file at the given filepath.\u003c/p\u003e",
      "moduleId": "filepath"
    },
    {
      "id": "InvalidPathError",
      "description": "\u003cp\u003eRepresents error occur when the given file path is invalid.\u003c/p\u003e",
      "moduleId": "filepath"
    },
    {
      "id": "InvalidPatternError",
      "description": "\u003cp\u003eRepresent error occur when the given pattern is not a valid filepath pattern.\u003c/p\u003e",
      "moduleId": "filepath"
    },
    {
      "id": "NotLinkError",
      "description": "\u003cp\u003eRepresents error occur when the file at the given filepath is not a symbolic link.\u003c/p\u003e",
      "moduleId": "filepath"
    },
    {
      "id": "RelativePathError",
      "description": "\u003cp\u003eRepresents an error that occurs when the given target filepath cannot be derived relative to the base filepath.\u003c/p\u003e",
      "moduleId": "filepath"
    },
    {
      "id": "SecurityError",
      "description": "\u003cp\u003eRepresents security error occur when trying to access the file at the given filepath.\u003c/p\u003e",
      "moduleId": "filepath"
    },
    {
      "id": "UNCPathError",
      "description": "\u003cp\u003eRepresents error occur in the UNC path.\u003c/p\u003e",
      "moduleId": "filepath"
    },
    {
      "id": "AbortedError",
      "description": "\u003cp\u003eRepresents error occur when operation is aborted.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "AllRetryAttemptsFailed",
      "description": "\u003cp\u003eRepresents error scenario where the maximum retry attempts are done and still received an error.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "AlreadyExistsError",
      "description": "\u003cp\u003eRepresents error occur when attempt to create an entity which already exists.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "CancelledError",
      "description": "\u003cp\u003eRepresents the operation canceled(typically by the caller) error.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "DataLossError",
      "description": "\u003cp\u003eRepresents unrecoverable data loss or corruption erros.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "DeadlineExceededError",
      "description": "\u003cp\u003eRepresents operation expired before completion error.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "EOS",
      "description": "\u003cp\u003eRepresents an error when reaching the end of the client stream.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "FailedPreconditionError",
      "description": "\u003cp\u003eRepresents error occur when operation is rejected because the system is not in a state required for the operation\u0027s execution.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "InternalError",
      "description": "\u003cp\u003eRepresents internal error.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "InvalidArgumentError",
      "description": "\u003cp\u003eRepresents client specified an invalid argument error.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "NotFoundError",
      "description": "\u003cp\u003eRepresents requested entity (e.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "OutOfRangeError",
      "description": "\u003cp\u003eRepresents error occur when specified value is out of range.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "PermissionDeniedError",
      "description": "\u003cp\u003eRepresents error occur when the caller does not have permission to execute the specified operation.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "ResourceExhaustedError",
      "description": "\u003cp\u003eRepresents error occur when the resource is exhausted.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "StreamClosedError",
      "description": "\u003cp\u003eRepresents an error when calling next when the stream has closed.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "UnKnownError",
      "description": "\u003cp\u003eRepresents unknown error.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "UnauthenticatedError",
      "description": "\u003cp\u003eRepresents error occur when the request does not have valid authentication credentials for the operation.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "UnavailableError",
      "description": "\u003cp\u003eRepresents error occur when the service is currently unavailable.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "UnimplementedError",
      "description": "\u003cp\u003eRepresents error occur when operation is not implemented or not supported/enabled in this service.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "AllLoadBalanceEndpointsFailedError",
      "description": "\u003cp\u003eRepresents a client error that occurred due to all the load balance endpoint failure\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "AllRetryAttemptsFailed",
      "description": "\u003cp\u003eRepresents a client error that occurred due to all the the retry attempts failure\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "AuthenticationError",
      "description": "\u003cp\u003eRepresents a listener error that occurred due to inbound request authentication failure\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "AuthorizationError",
      "description": "\u003cp\u003eRepresents a listener error that occurred due to inbound request authorization failure\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "CircuitBreakerConfigError",
      "description": "\u003cp\u003eRepresents a client error that occurred due to circuit breaker configuration error.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "CookieHandlingError",
      "description": "\u003cp\u003eRepresents a cookie error that occurred when using the cookies\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "FailoverActionFailedError",
      "description": "\u003cp\u003eRepresents a client error that occurred due to failover action failure\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "FailoverAllEndpointsFailedError",
      "description": "\u003cp\u003eRepresents a client error that occurred due to all the failover endpoint failure\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "GenericClientError",
      "description": "\u003cp\u003eRepresents a generic client error\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "GenericListenerError",
      "description": "\u003cp\u003eRepresents a generic listener error\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "Http2ClientError",
      "description": "\u003cp\u003eRepresents an HTTP/2 client generic error\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "IdleTimeoutError",
      "description": "\u003cp\u003eRepresents the error that triggered upon a request/response idle timeout\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "InitializingInboundRequestError",
      "description": "\u003cp\u003eRepresents a listener error that occurred due to inbound request initialization failure\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "InitializingInboundResponseError",
      "description": "\u003cp\u003eRepresents a client error that occurred due to inbound response initialization failure\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "InitializingOutboundRequestError",
      "description": "\u003cp\u003eRepresents a client error that occurred due to outbound request initialization failure\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "InitializingOutboundResponseError",
      "description": "\u003cp\u003eRepresents a listener error that occurred due to outbound response initialization failure\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "Initiating100ContinueResponseError",
      "description": "\u003cp\u003eRepresents an error that occurred due to 100 continue response initialization failure\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "InvalidCookieError",
      "description": "\u003cp\u003eRepresents a cookie error that occurred when sending cookies in the response\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "MaximumWaitTimeExceededError",
      "description": "\u003cp\u003eRepresents a client error that occurred exceeding maximum wait time\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "ReadingInboundRequestBodyError",
      "description": "\u003cp\u003eRepresents a listener error that occurred while writing the inbound request entity body\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "ReadingInboundRequestHeadersError",
      "description": "\u003cp\u003eRepresents a listener error that occurred while reading inbound request headers\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "ReadingInboundResponseBodyError",
      "description": "\u003cp\u003eRepresents a client error that occurred while reading inbound response entity body\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "ReadingInboundResponseHeadersError",
      "description": "\u003cp\u003eRepresents a client error that occurred while reading inbound response headers\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "SslError",
      "description": "\u003cp\u003eRepresents a client error that occurred due to SSL failure\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "UnsupportedActionError",
      "description": "\u003cp\u003eRepresents a client error that occurred due to unsupported action invocation\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "UpstreamServiceUnavailableError",
      "description": "\u003cp\u003eRepresents a client error that occurred due to upstream service unavailability\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "Writing100ContinueResponseError",
      "description": "\u003cp\u003eRepresents an error that occurred while writing 100 continue response\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "WritingOutboundRequestBodyError",
      "description": "\u003cp\u003eRepresents a client error that occurred while writing outbound request entity body\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "WritingOutboundRequestHeadersError",
      "description": "\u003cp\u003eRepresents a client error that occurred while writing outbound request headers\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "WritingOutboundResponseBodyError",
      "description": "\u003cp\u003eRepresents a listener error that occurred while writing outbound response entity body\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "WritingOutboundResponseHeadersError",
      "description": "\u003cp\u003eRepresents a listener error that occurred while writing outbound response headers\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "WsConnectionClosureError",
      "description": "\u003cp\u003eRaised during failures in connection closure\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "WsConnectionError",
      "description": "\u003cp\u003eRaised during connection failures\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "WsGenericError",
      "description": "\u003cp\u003eRaised for errors not captured by the specific errors\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "WsInvalidContinuationFrameError",
      "description": "\u003cp\u003eRaised when an out of order/invalid continuation frame is received\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "WsInvalidHandshakeError",
      "description": "\u003cp\u003eRaised during the handshake when the WebSocket upgrade fails\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "WsPayloadTooBigError",
      "description": "\u003cp\u003eRaised when receiving a frame with a payload exceeding the maximum size\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "WsProtocolError",
      "description": "\u003cp\u003eRaised when the other side breaks the protocol\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "AccessDeniedError",
      "description": "\u003cp\u003eThis will get returned due to file permission issues.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "ConnectionTimedOutError",
      "description": "\u003cp\u003eThis will return when connection timed out happen when try to connect to a remote host.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "EofError",
      "description": "\u003cp\u003eThis will get returned if read operations are performed on a channel after it closed.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "FileNotFoundError",
      "description": "\u003cp\u003eThis will get returned if the file is not available in the given file path.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "GenericError",
      "description": "\u003cp\u003eRepresents generic IO error.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "JavaClassNotFoundError",
      "description": "\u003cp\u003eRepresents a \u003ccode\u003eJavaError\u003c/code\u003e with the message and the cause.\u003c/p\u003e",
      "moduleId": "java"
    },
    {
      "id": "AvroError",
      "description": "\u003cp\u003eRepresents a Kafka Avro related error.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "ConsumerError",
      "description": "\u003cp\u003eError type specific to the \u003ccode\u003ekafka:Consumer\u003c/code\u003e object functions.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "ProducerError",
      "description": "\u003cp\u003eError type specific to the \u003ccode\u003ekafka:Producer\u003c/code\u003e object functions.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "error",
      "description": "\u003cp\u003eThis file contains default retry manager to be used with retry statement.\u003c/p\u003e",
      "moduleId": "lang.transaction"
    },
    {
      "id": "TransactionError",
      "description": "\u003cp\u003eRepresents the Transaction error.\u003c/p\u003e",
      "moduleId": "lang.transaction"
    },
    {
      "id": "LdapError",
      "description": "\u003cp\u003eRepresents the LDAP error type with the message and the cause.\u003c/p\u003e",
      "moduleId": "ldap"
    },
    {
      "id": "ArithmeticError",
      "description": "\u003cp\u003eRepresents an error occurred in the \u003ccode\u003emath\u003c/code\u003e operation.\u003c/p\u003e",
      "moduleId": "math"
    },
    {
      "id": "DecodeError",
      "description": "\u003cp\u003eRepresents a \u003ccode\u003eDecodeError\u003c/code\u003e with the message and the cause.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "EncodeError",
      "description": "\u003cp\u003eRepresents an \u003ccode\u003eEncodeError\u003c/code\u003e with the message and the cause.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "GenericMimeError",
      "description": "\u003cp\u003eRepresents a \u003ccode\u003eGenericMimeError\u003c/code\u003e with the message and the cause.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "HeaderNotFoundError",
      "description": "\u003cp\u003eRepresents a \u003ccode\u003eHeaderNotFoundError\u003c/code\u003e error with the message and the cause.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "HeaderUnavailableError",
      "description": "\u003cp\u003eRepresents a \u003ccode\u003eHeaderUnavailableError\u003c/code\u003e with the message and the cause.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "IdleTimeoutTriggeredError",
      "description": "\u003cp\u003eRepresents an \u003ccode\u003eIdleTimeoutTriggeredError\u003c/code\u003e with the message and the cause.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "InvalidContentLengthError",
      "description": "\u003cp\u003eRepresents a \u003ccode\u003eInvalidContentLengthError\u003c/code\u003e error with the message and the cause.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "InvalidContentTypeError",
      "description": "\u003cp\u003eRepresents an \u003ccode\u003eInvalidContentTypeError\u003c/code\u003e with the message and the cause.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "InvalidHeaderOperationError",
      "description": "\u003cp\u003eRepresents a \u003ccode\u003eInvalidHeaderOperationError\u003c/code\u003e error with the message and the cause.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "InvalidHeaderParamError",
      "description": "\u003cp\u003eRepresents a \u003ccode\u003eInvalidHeaderParamError\u003c/code\u003e error with the message and the cause.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "InvalidHeaderValueError",
      "description": "\u003cp\u003eRepresents a \u003ccode\u003eInvalidHeaderValueError\u003c/code\u003e error with the message and the cause.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "NoContentError",
      "description": "\u003cp\u003eRepresents a \u003ccode\u003eNoContentError\u003c/code\u003e with the message and the cause.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "ParserError",
      "description": "\u003cp\u003eRepresents a \u003ccode\u003eParserError\u003c/code\u003e with the message and the cause.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "SerializationError",
      "description": "\u003cp\u003eRepresents a \u003ccode\u003eSerializationError\u003c/code\u003e error with the message and the cause.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "SetHeaderError",
      "description": "\u003cp\u003eRepresents a \u003ccode\u003eSetHeaderError\u003c/code\u003e with the message and the cause.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "OAuth2Error",
      "description": "\u003cp\u003eRepresents the OAuth2 distinct error.\u003c/p\u003e",
      "moduleId": "oauth2"
    },
    {
      "id": "ApplicationError",
      "description": "\u003cp\u003eRepresents an error originating from application-level causes.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "FileNotFoundError",
      "description": "\u003cp\u003eRepresents a \u003ccode\u003eFileNotFoundError\u003c/code\u003e with the message and the cause.\u003c/p\u003e",
      "moduleId": "system"
    },
    {
      "id": "FileSystemError",
      "description": "\u003cp\u003eRepresents a \u003ccode\u003eFileSystemError\u003c/code\u003e with the message and the cause.\u003c/p\u003e",
      "moduleId": "system"
    },
    {
      "id": "InvalidOperationError",
      "description": "\u003cp\u003eRepresents an \u003ccode\u003eInvalidOperationError\u003c/code\u003e with the message and the cause.\u003c/p\u003e",
      "moduleId": "system"
    },
    {
      "id": "PermissionError",
      "description": "\u003cp\u003eRepresents a \u003ccode\u003ePermissionError\u003c/code\u003e with the message and the cause.\u003c/p\u003e",
      "moduleId": "system"
    },
    {
      "id": "ProcessExecError",
      "description": "\u003cp\u003eRepresents an \u003ccode\u003eProcessExecError\u003c/code\u003e with the message and the cause.\u003c/p\u003e",
      "moduleId": "system"
    },
    {
      "id": "ListenerError",
      "description": "\u003cp\u003eError type specific to the \u003ccode\u003etask:Listener\u003c/code\u003e object functions.\u003c/p\u003e",
      "moduleId": "task"
    },
    {
      "id": "SchedulerError",
      "description": "\u003cp\u003eError type specific to the \u003ccode\u003etask:Scheduler\u003c/code\u003e object functions.\u003c/p\u003e",
      "moduleId": "task"
    },
    {
      "id": "FunctionCallError",
      "description": "",
      "moduleId": "test"
    },
    {
      "id": "FunctionNotFoundError",
      "description": "",
      "moduleId": "test"
    },
    {
      "id": "FunctionSignatureMismatchError",
      "description": "",
      "moduleId": "test"
    },
    {
      "id": "InvalidMemberFieldError",
      "description": "",
      "moduleId": "test"
    },
    {
      "id": "InvalidObjectError",
      "description": "",
      "moduleId": "test"
    },
    {
      "id": "TimeError",
      "description": "\u003cp\u003eSpecifies the time error, which occurs in the module.\u003c/p\u003e",
      "moduleId": "time"
    },
    {
      "id": "TransactionError",
      "description": "\u003cp\u003eRepresents a \u003ccode\u003eTransactionError\u003c/code\u003e with the message and the cause.\u003c/p\u003e",
      "moduleId": "transactions"
    }
  ],
  "types": [
    {
      "id": "Error",
      "description": "\u003cp\u003eRepresents the Auth module related error.\u003c/p\u003e",
      "moduleId": "auth"
    },
    {
      "id": "Error",
      "description": "\u003cp\u003eRepresents Cache related errors.\u003c/p\u003e",
      "moduleId": "cache"
    },
    {
      "id": "AesPadding",
      "description": "\u003cp\u003ePadding algorithms supported by AES encryption and decryption.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "Error",
      "description": "\u003cp\u003eThe union of all the Crypto related errors\u003c/p\u003e\n",
      "moduleId": "crypto"
    },
    {
      "id": "KeyAlgorithm",
      "description": "\u003cp\u003eThe key algorithms supported by the Crypto module.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "RsaPadding",
      "description": "\u003cp\u003ePadding algorithms supported with RSA encryption and decryption.\u003c/p\u003e",
      "moduleId": "crypto"
    },
    {
      "id": "Error",
      "description": "\u003cp\u003eRepresents email related errors.\u003c/p\u003e",
      "moduleId": "email"
    },
    {
      "id": "Error",
      "description": "\u003cp\u003eRepresents file system related errors.\u003c/p\u003e",
      "moduleId": "file"
    },
    {
      "id": "Error",
      "description": "\u003cp\u003eRepresents filepath related errors.\u003c/p\u003e",
      "moduleId": "filepath"
    },
    {
      "id": "Compression",
      "description": "\u003cp\u003eOptions to compress using gzip or deflate.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "Error",
      "description": "\u003cp\u003eRepresents gRPC related errors.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "ResiliencyError",
      "description": "\u003cp\u003eRepresents all the resiliency-related errors.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "CachingPolicy",
      "description": "\u003cp\u003eUsed for configuring the caching behaviour.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "Chunking",
      "description": "\u003cp\u003eDefines the possible values for the chunking configuration in HTTP services and clients.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "CircuitState",
      "description": "\u003cp\u003eA finite type for modeling the states of the Circuit Breaker.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "ClientAuthError",
      "description": "\u003cp\u003eDefines the Auth error types that returned from client\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "ClientError",
      "description": "\u003cp\u003eDefines the possible client error types\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "Compression",
      "description": "\u003cp\u003eOptions to compress using gzip or deflate.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "CredentialBearer",
      "description": "\u003cp\u003eSpecifies how to send the authentication credentials when exchanging tokens.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "HttpOperation",
      "description": "\u003cp\u003eDefines the HTTP operations related to circuit breaker, failover and load balancer.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "HttpVersion",
      "description": "\u003cp\u003eDefines the supported HTTP protocols.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "InboundAuthHandlers",
      "description": "\u003cp\u003eRepresents inbound auth handler patterns.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "InboundRequestError",
      "description": "\u003cp\u003eDefines the listener error types that returned while receiving inbound request\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "InboundResponseError",
      "description": "\u003cp\u003eDefines the client error types that returned while receiving inbound response\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "KeepAlive",
      "description": "\u003cp\u003eDefines the possible values for the keep-alive configuration in service and client endpoints.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "ListenerError",
      "description": "\u003cp\u003eDefines the possible listener error types\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "LoadBalanceActionError",
      "description": "\u003cp\u003eRepresents an error occurred in an remote function of the Load Balance connector.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "MutualSslStatus",
      "description": "\u003cp\u003eDefines the possible values for the mutual ssl status.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "OutboundRequestError",
      "description": "\u003cp\u003eDefines the client error types that returned while sending outbound request\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "OutboundResponseError",
      "description": "\u003cp\u003eDefines the listener error types that returned while sending outbound response\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "RedirectCode",
      "description": "\u003cp\u003eDefines the HTTP redirect codes as a type.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "RequestMessage",
      "description": "\u003cp\u003eThe types of messages that are accepted by HTTP \u003ccode\u003eclient\u003c/code\u003e when sending out the outbound request.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "ResiliencyError",
      "description": "\u003cp\u003eDefines the resiliency error types that returned from client\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "ResponseMessage",
      "description": "\u003cp\u003eThe types of messages that are accepted by HTTP \u003ccode\u003elistener\u003c/code\u003e when sending out the outbound response.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "Scopes",
      "description": "\u003cp\u003eRepresents scopes patterns.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "WebSocketError",
      "description": "\u003cp\u003eThe union of all the WebSocket related errors\u003c/p\u003e\n",
      "moduleId": "http"
    },
    {
      "id": "Error",
      "description": "\u003cp\u003eRepresents IO module related errors.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "Format",
      "description": "\u003cp\u003eThe format, which will be used to represent the CSV.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "Separator",
      "description": "\u003cp\u003eField separators, which are supported by the \u003ccode\u003eDelimitedTextRecordChannel\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "ByteOrder",
      "description": "\u003cp\u003eRepresents network byte order.\u003c/p\u003e",
      "moduleId": "io"
    },
    {
      "id": "AuthenticationMechanism",
      "description": "\u003cp\u003eRepresents the supported Kafka SASL authentication mechanisms.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "CompressionType",
      "description": "\u003cp\u003eKafka compression types to compress the messages.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "DeserializerType",
      "description": "\u003cp\u003eKafka in-built deserializer type.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "IsolationLevel",
      "description": "\u003cp\u003eKafka consumer isolation level type.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "ProducerAcks",
      "description": "\u003cp\u003eKafka producer acknowledgement types.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "SecurityProtocol",
      "description": "\u003cp\u003eRepresents the supported security protocols for Kafka clients.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "SerializerType",
      "description": "\u003cp\u003eKafka in-built serializer types.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "Error",
      "description": "\u003cp\u003eRepresents the Transaction module related error.\u003c/p\u003e",
      "moduleId": "lang.transaction"
    },
    {
      "id": "Error",
      "description": "\u003cp\u003eRepresents LDAP module related errors.\u003c/p\u003e",
      "moduleId": "ldap"
    },
    {
      "id": "LogLevel",
      "description": "",
      "moduleId": "log"
    },
    {
      "id": "Error",
      "description": "\u003cp\u003eThe union of all the Math related errors\u003c/p\u003e\n",
      "moduleId": "math"
    },
    {
      "id": "Error",
      "description": "\u003cp\u003eRepresents MIME related errors.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "HeaderPosition",
      "description": "\u003cp\u003eDefines the position of the headers in the request/response.\u003c/p\u003e",
      "moduleId": "mime"
    },
    {
      "id": "SSLMode",
      "description": "\u003cp\u003eSSLMode as a union of available ssl modes.\u003c/p\u003e",
      "moduleId": "mysql"
    },
    {
      "id": "Error",
      "description": "\u003cp\u003eRepresents the OAuth2 error.\u003c/p\u003e",
      "moduleId": "oauth2"
    },
    {
      "id": "BatchExecuteError",
      "description": "\u003cp\u003eRepresents an error occurred when a batch execution is running.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "DatabaseError",
      "description": "\u003cp\u003eRepresents an error caused by an issue related to database accessibility, erroneous queries, constraint violations,\ndatabase resource clean-up, and other similar scenarios.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "Error",
      "description": "\u003cp\u003eRepresents a database or application level error returned from JDBC client remote functions.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "Parameter",
      "description": "\u003cp\u003eRepresents all the parameters used in SQL stored procedure call.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "Value",
      "description": "\u003cp\u003ePossible type of parameters that can be passed into the SQL query.\u003c/p\u003e",
      "moduleId": "sql"
    },
    {
      "id": "Error",
      "description": "\u003cp\u003eThe union of all the System related errors.\u003c/p\u003e",
      "moduleId": "system"
    },
    {
      "id": "Error",
      "description": "\u003cp\u003eRepresents the Union error type of the ballerina/task module.\u003c/p\u003e",
      "moduleId": "task"
    },
    {
      "id": "Error",
      "description": "\u003cp\u003eRepresents mocking related errors\u003c/p\u003e\n",
      "moduleId": "test"
    },
    {
      "id": "Error",
      "description": "\u003cp\u003eRepresents the Time module related error.\u003c/p\u003e",
      "moduleId": "time"
    },
    {
      "id": "TimeFormat",
      "description": "\u003cp\u003eThe time format defined by the RFC-1123.\u003c/p\u003e",
      "moduleId": "time"
    }
  ],
  "clients": [
    {
      "id": "ImapClient",
      "description": "\u003cp\u003eRepresents an IMAP Client, which interacts with an IMAP Server.\u003c/p\u003e",
      "moduleId": "email"
    },
    {
      "id": "PopClient",
      "description": "\u003cp\u003eRepresents a POP Client, which interacts with a POP Server.\u003c/p\u003e",
      "moduleId": "email"
    },
    {
      "id": "SmtpClient",
      "description": "\u003cp\u003eRepresents an SMTP Client, which interacts with an SMTP Server.\u003c/p\u003e",
      "moduleId": "email"
    },
    {
      "id": "Caller",
      "description": "\u003cp\u003eProvides the gRPC remote functions for interacting with caller.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "Client",
      "description": "\u003cp\u003eThe gRPC client endpoint provides the capability for initiating contact with a remote gRPC service.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "StreamingClient",
      "description": "\u003cp\u003eProvides the gRPC streaming client actions for interacting with the gRPC server.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "Caller",
      "description": "\u003cp\u003eThe caller actions for responding to client requests.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "CircuitBreakerClient",
      "description": "\u003cp\u003eA Circuit Breaker implementation which can be used to gracefully handle network failures.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "Client",
      "description": "\u003cp\u003eThe HTTP client provides the capability for initiating contact with a remote HTTP service.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "CookieClient",
      "description": "\u003cp\u003eProvides the cookie functionality across HTTP client actions.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "FailoverClient",
      "description": "\u003cp\u003eAn HTTP client endpoint which provides failover support over multiple HTTP clients.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "HttpCachingClient",
      "description": "\u003cp\u003eAn HTTP caching client implementation which takes an \u003ccode\u003eHttpActions\u003c/code\u003e instance and wraps it with an HTTP caching layer.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "HttpClient",
      "description": "\u003cp\u003eProvides the HTTP actions for interacting with an HTTP server.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "HttpSecureClient",
      "description": "\u003cp\u003eProvides secure HTTP remote functions for interacting with HTTP endpoints.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "LoadBalanceClient",
      "description": "\u003cp\u003eLoadBalanceClient endpoint provides load balancing functionality over multiple HTTP clients.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "RedirectClient",
      "description": "\u003cp\u003eProvides redirect functionality for HTTP client remote functions.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "RetryClient",
      "description": "\u003cp\u003eProvides the HTTP remote functions for interacting with an HTTP endpoint.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "WebSocketCaller",
      "description": "\u003cp\u003eRepresents a WebSocket caller.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "WebSocketClient",
      "description": "\u003cp\u003eRepresents a WebSocket client endpoint.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "WebSocketFailoverClient",
      "description": "\u003cp\u003eA WebSocket client endpoint, which provides failover support for multiple WebSocket targets.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "Client",
      "description": "\u003cp\u003eRepresents a JDBC client.\u003c/p\u003e",
      "moduleId": "java.jdbc"
    },
    {
      "id": "Consumer",
      "description": "\u003cp\u003eRepresents a Kafka consumer endpoint.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "Producer",
      "description": "\u003cp\u003eRepresents a Kafka producer endpoint.\u003c/p\u003e",
      "moduleId": "kafka"
    },
    {
      "id": "Client",
      "description": "\u003cp\u003eRepresents a MySQL database client.\u003c/p\u003e",
      "moduleId": "mysql"
    },
    {
      "id": "Client",
      "description": "\u003cp\u003eRepresents a SQL client.\u003c/p\u003e",
      "moduleId": "sql"
    }
  ],
  "listeners": [
    {
      "id": "Listener",
      "description": "\u003cp\u003eRepresents a service listener that monitors the email server location.\u003c/p\u003e",
      "moduleId": "email"
    },
    {
      "id": "Listener",
      "description": "\u003cp\u003eRepresents the directory listener endpoint, which is used to listen to a directory in the local file system.\u003c/p\u003e",
      "moduleId": "file"
    },
    {
      "id": "Listener",
      "description": "\u003cp\u003eRepresents server listener where one or more services can be registered.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "Listener",
      "description": "\u003cp\u003eThis is used for creating HTTP server endpoints.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "MockListener",
      "description": "\u003cp\u003eMock server endpoint which does not open a listening port.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "Listener",
      "description": "\u003cp\u003eRepresents a ballerina task listener, which can be used to schedule and execute tasks periodically.\u003c/p\u003e",
      "moduleId": "task"
    }
  ],
  "annotations": [
    {
      "id": "ServiceConfig",
      "description": "\u003cp\u003eService configuration annotation.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "ServiceDescriptor",
      "description": "\u003cp\u003eService descriptor annotation.\u003c/p\u003e",
      "moduleId": "grpc"
    },
    {
      "id": "ResourceConfig",
      "description": "\u003cp\u003eThe annotation which is used to configure an HTTP resource.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "ServiceConfig",
      "description": "\u003cp\u003eThe annotation which is used to configure an HTTP service.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "WebSocketServiceConfig",
      "description": "\u003cp\u003eThe annotation which is used to configure a WebSocket service.\u003c/p\u003e",
      "moduleId": "http"
    },
    {
      "id": "Binding",
      "description": "\u003cp\u003eDescribes the Java class representing a Ballerina binding.\u003c/p\u003e",
      "moduleId": "java"
    },
    {
      "id": "Constructor",
      "description": "\u003cp\u003eDescribes a Java constructor, which provides an implementation of a Ballerina function of which the body is marked as\n\u003ccode\u003eexternal\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "java"
    },
    {
      "id": "FieldGet",
      "description": "\u003cp\u003eDescribes a Java Field access, which provides an implementation of a Ballerina function of which the body is marked as\n\u003ccode\u003eexternal\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "java"
    },
    {
      "id": "FieldSet",
      "description": "\u003cp\u003eDescribes a Java Field mutate, which provides an implementation of a Ballerina function of which the body is marked as\n\u003ccode\u003eexternal\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "java"
    },
    {
      "id": "Method",
      "description": "\u003cp\u003eDescribes a Java method, which provides an implementation of a Ballerina function of which the body is marked as\n\u003ccode\u003eexternal\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "java"
    },
    {
      "id": "Observable",
      "description": "",
      "moduleId": "observe"
    },
    {
      "id": "ClientConfig",
      "description": "\u003cp\u003eAnnotation to configure client code generation.\u003c/p\u003e",
      "moduleId": "openapi"
    },
    {
      "id": "ClientEndpoint",
      "description": "\u003cp\u003ePresence of this annotation will mark this endpoint to be used as a service endpoint for client generation\u003c/p\u003e\n",
      "moduleId": "openapi"
    },
    {
      "id": "ServiceInfo",
      "description": "\u003cp\u003eAnnotation for additional OpenAPI information of a Ballerina service.\u003c/p\u003e",
      "moduleId": "openapi"
    },
    {
      "id": "AfterEach",
      "description": "\u003cp\u003eIdentifies afterTest function.\u003c/p\u003e",
      "moduleId": "test"
    },
    {
      "id": "AfterGroups",
      "description": "\u003cp\u003eIdentifies afterGroup function.\u003c/p\u003e",
      "moduleId": "test"
    },
    {
      "id": "AfterSuite",
      "description": "\u003cp\u003eIdentifies afterSuite function.\u003c/p\u003e",
      "moduleId": "test"
    },
    {
      "id": "BeforeEach",
      "description": "\u003cp\u003eIdentifies beforeTest function.\u003c/p\u003e",
      "moduleId": "test"
    },
    {
      "id": "BeforeGroups",
      "description": "\u003cp\u003eIdentifies beforeGroup function.\u003c/p\u003e",
      "moduleId": "test"
    },
    {
      "id": "BeforeSuite",
      "description": "\u003cp\u003eIdentifies beforeSuite function.\u003c/p\u003e",
      "moduleId": "test"
    },
    {
      "id": "Config",
      "description": "",
      "moduleId": "test"
    },
    {
      "id": "Mock",
      "description": "\u003cp\u003eIdentifies the MockFunction object\u003c/p\u003e\n",
      "moduleId": "test"
    },
    {
      "id": "Participant",
      "description": "\u003cp\u003eThe annotation which is used to configure local transaction participant function.\u003c/p\u003e",
      "moduleId": "transactions"
    }
  ]
};